GNU bug report logs - #45620
28.0.50; Child frames should have their own border width and colour

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alexander Miller <alexanderm@HIDDEN>; dated Sun, 3 Jan 2021 13:19:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 6 Jan 2021 15:01:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 06 10:01:27 2021
Received: from localhost ([127.0.0.1]:45251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kxAJT-00073O-BK
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2021 10:01:27 -0500
Received: from mail-db8eur06olkn2069.outbound.protection.outlook.com
 ([40.92.51.69]:2709 helo=EUR06-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arthur.miller@HIDDEN>) id 1kxAJR-000739-3Z
 for 45620 <at> debbugs.gnu.org; Wed, 06 Jan 2021 10:01:25 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=KT6c0O+BwgBuwG8Qrvfg6sTh0ox7wDZ3wOuB/1NlH8fCedRTAg7EVempyot72tCWyTaGPr7fzdWybX0rYEv8F/ivmhBtJjORLvirzFWxc0m+PVcp7OZPRMI+boxlEr4wrJceBinTgIxvQNr96LLnKR/MP1dKJY2DlgTlN/sCrMb7ux8hXnr1l/IxEBUqeunhejlOITx1W6QOz32owkzgm2wvo3Wepwbc3Dez/KGP0qQgAbH7AzsqJevZAgtGdhgZsmkCwQhEKTF1sA1X7TxYv48vnm8Mw27nUeg5oRQHNo/54qRHWNlDRtJAK4iz8BXjTHob+U/DTLfUPOyHajTiJA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=OclB9+rYZ6gRm00kfJ0oVnjARD9TR++dvG7AaRCS3e8=;
 b=WBB5zxEJcRTFNMJgIh5REkD5ZebfAOxfO7l6sDBajyIX2TWjKiC6xUAb941FUOoCy6slWecpt6l9kwpkh0J/uUnXslSdj4r826E4zZkjHAEBsWBf7rCX0ub8do8StUEhXLKFW0ydOSQEEoe7vTWzV5iAXH+QYI29DJNb4gvC67S97hIo+5MIjZrIkLlG7pp3mr65e4y9svfPBvhjXHpLOyAHzdr/Yk5lnOrcTYVVVBaQfS0+B4Nvujxf7BLAb/NP/oFUjooKQpCv52DgW2aDsO+cVpNK+t2/lMMGoQwIkkdIG22fljK4qxLSZSUTL576Cpdhk99RBI3MuiXV6ERj8A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=live.com; s=selector1; 
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=OclB9+rYZ6gRm00kfJ0oVnjARD9TR++dvG7AaRCS3e8=;
 b=szO7egTt1rE7G1s8F++Ua1jJXKy4Xz7Rr6sGu0gQiF/SrRM0iFarLqYuXHJQiYiFnpfJI38a2SYyYfySjlra/JrmViQ8xp6RUWuBZiz4qOlJ10ihMm8RLgRQO7h0amU3oSvAlHR5ALjQzoeGJ2SMJc+TR0xIfAgxrP1/BVVrgYKc3XARm15C2ETOO28cuyQpsXl3u5ArEOr7d23edX+2dJBn+Hf7JYTNAFt55ESNcF7kZ4DDMk5JUVXE1i7fv7fNpSJyAZSMg72BO114p3TLrgY4Qx9PiXQMVFcUYA8g4jOV6ucmtAm6e+3qkQMZV2HpLLYJKCNunPBgDw0X7WoHJA==
Received: from DB8EUR06FT061.eop-eur06.prod.protection.outlook.com
 (2a01:111:e400:fc35::48) by
 DB8EUR06HT210.eop-eur06.prod.protection.outlook.com (2a01:111:e400:fc35::126)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3742.6; Wed, 6 Jan
 2021 15:01:18 +0000
Received: from AM0PR06MB6577.eurprd06.prod.outlook.com
 (2a01:111:e400:fc35::50) by DB8EUR06FT061.mail.protection.outlook.com
 (2a01:111:e400:fc35::465) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3742.6 via Frontend
 Transport; Wed, 6 Jan 2021 15:01:18 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:08516158235CB4C5C26418CAE0D66E4F39ED317D825CCF673CE283AA12B2ABC0;
 UpperCasedChecksum:FE877E5FBB0B581FC1A268C88EAB5BF1B9E4CCCE6F611DBA514723A19EA90673;
 SizeAsReceived:7737; Count:46
Received: from AM0PR06MB6577.eurprd06.prod.outlook.com
 ([fe80::9487:8c7d:da00:4993]) by AM0PR06MB6577.eurprd06.prod.outlook.com
 ([fe80::9487:8c7d:da00:4993%7]) with mapi id 15.20.3721.024; Wed, 6 Jan 2021
 15:01:18 +0000
From: Arthur Miller <arthur.miller@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
References: <2c70983d-947c-c8ce-731c-ab804642ded2@HIDDEN>
 <2d182c2b-36a1-4dba-431a-2945cc54d2f0@HIDDEN>
 <37736abb-082f-cc3b-8eae-5fb34ee9fcfd@HIDDEN>
 <AM0PR06MB65777BB800455ECDBF8E117296D00@HIDDEN>
 <1e064e27-2987-8c99-813f-5a55848ac178@HIDDEN>
Date: Wed, 06 Jan 2021 16:01:17 +0100
In-Reply-To: <1e064e27-2987-8c99-813f-5a55848ac178@HIDDEN> (martin rudalics's
 message of "Wed, 6 Jan 2021 14:36:12 +0100")
Message-ID: <AM0PR06MB657756F9E1569C847A159D5796D00@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Content-Type: text/plain
X-TMN: [+Qy/lKjFV9Nqd1u86q416mE5PVnOE06e]
X-ClientProxiedBy: AM5PR0701CA0009.eurprd07.prod.outlook.com
 (2603:10a6:203:51::19) To AM0PR06MB6577.eurprd06.prod.outlook.com
 (2603:10a6:208:19a::23)
X-Microsoft-Original-Message-ID: <87im8axg76.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from pascal.homepc (90.230.29.56) by
 AM5PR0701CA0009.eurprd07.prod.outlook.com (2603:10a6:203:51::19) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3742.4 via Frontend
 Transport; Wed, 6 Jan 2021 15:01:17 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 46
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 6fe7da53-ca7b-4a07-1c0b-08d8b253ebc4
X-MS-TrafficTypeDiagnostic: DB8EUR06HT210:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: y8s7ZYEV8zUP64H7SG89vtVxlY6FP38st16lDoQRKUa8giUT4HtOuXSMSa3Z+ey85jNqS2tJlPE49eIzt74IAJtWttYGUuRepD09mccwjbs9Ok2K5XubHJwc00Vgy6PGfN2Yn+EbGMvFOh/ejlAFJzP7uoNnO4Fm7KafKbqsNrSpGJ6pC3efqqrTOK559ZXZR1uX9q3i50d7xvoTia2GxDpheOpY3MD4bOZ45FPfrR1OOIHxCZbfTWnS297tJU9h
X-MS-Exchange-AntiSpam-MessageData: EEm+PuyN8xsKY20emyxzHJjLJQil8TkC1wS4iWWnWk28ADB+nxjT/rwGLcGzBh6+UXpXVTznK1RQUWv6njAP+MGBbxa0KxWVP8orlu5ZGD0yCsRQ3rG1XLFPs9XxQ7WLtZ/5X6feCf05PMO6+MmL6w==
X-OriginatorOrg: live.com
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 06 Jan 2021 15:01:18.0283 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-Network-Message-Id: 6fe7da53-ca7b-4a07-1c0b-08d8b253ebc4
X-MS-Exchange-CrossTenant-AuthSource: DB8EUR06FT061.eop-eur06.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB8EUR06HT210
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org, Alexander Miller <alexanderm@HIDDEN>,
 tumashu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>> Arthur already signed and prefer borderless stuff ... :-)
>
> Waiting for Henry to show up ...
>
> martin

And if Glenn appears we could have a jazz quartet!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 6 Jan 2021 13:36:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 06 08:36:38 2021
Received: from localhost ([127.0.0.1]:43811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kx8zN-0004K1-QP
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2021 08:36:38 -0500
Received: from mout.gmx.net ([212.227.17.21]:36029)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kx8zL-0004Jn-Os
 for 45620 <at> debbugs.gnu.org; Wed, 06 Jan 2021 08:36:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609940174;
 bh=zheQO3y18mqzl8Ijn72L5xCNT5asJRbT2k1xMtfCyAA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=baB90L7M1CCrAPos/OoeLnCQIm0DlIfJCGPJayzPEciyZ+pIbIe9N/MKyfTS5mQBG
 u+KUjCrP7amCCe9SBE5TErb6cnyeJ0sjfzro739oiMxHzsTUJv5BmZv/ViQoswLtYq
 ZFc/qWyqpEHugstttFQ00KtfK0vnHUAXnED6oL+Q=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.112]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MfHEJ-1kLrQT0N9H-00grWz; Wed, 06
 Jan 2021 14:36:14 +0100
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
To: Arthur Miller <arthur.miller@HIDDEN>
References: <2c70983d-947c-c8ce-731c-ab804642ded2@HIDDEN>
 <2d182c2b-36a1-4dba-431a-2945cc54d2f0@HIDDEN>
 <37736abb-082f-cc3b-8eae-5fb34ee9fcfd@HIDDEN>
 <AM0PR06MB65777BB800455ECDBF8E117296D00@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <1e064e27-2987-8c99-813f-5a55848ac178@HIDDEN>
Date: Wed, 6 Jan 2021 14:36:12 +0100
MIME-Version: 1.0
In-Reply-To: <AM0PR06MB65777BB800455ECDBF8E117296D00@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:RGuYyM3ruyxxx1qgCzFCjwKEMQ9F3VsYpnfDZl4dy+I/OmN/Vdf
 rZEia0iPJUFto8UK9Jm7v9Y6qkuZrav8J8d8h4SDEDKSnkHDpRu4xPKeiKl8jlNc5Vbkb79
 jOa358NvXqvUIbkzZRCftObphtku/BpIE/CgqRwUzrXQiiZiOKiVGUvYMbQe8WoikfTuHYN
 0H3HrhNUe9aOau4/t8pcQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:YR8dfHXdcqA=:4Yj8uQ3I+iXIVDvF2rF4ER
 S7K+OnOSptGgraikvU1kTBDzuLf/j4RiJ6Vl2uQqQdKnBFRsFivYQSj4I1SM7ZtC9ojhlF9Ds
 AiNZ8bgxeVkxUa5vr6Z9rUTBqLahKC4FVMaUupXZLRxYr3GsgUcOGJFWStTFVV2dZuSvJWF3n
 DaEXr4XgpccBINQfLjU/BKh62RHpwAaCe9cBzXCC2JbxpZTfga08mEkFjseR4giuZg92GSdaY
 sOM1eeGkzwrvzzhoOiWxTQq/XgBaxhvp4YYnM7qijqq46T5FBB+3epXJBd/VvLGlwLNyaroRT
 fOgl4wcfEWE6XFKuJL7+d8TUmx7YAdnrTb7Gif3Mrylj33S1Tc7hpd52URmdkgoU+SossS1xi
 IcU87XvdIauL6QsYOUaB5WG4nW+bu+8WuadAA8ZFL7CKah51EgcgPdx5WMtdbRq90DZ+QggFP
 gIHccciAdV926l/wnySxVI2kEH35gKI7/XbK7a+YemiJ3X3/lbgc15Ovpu/WU6wlV5VmYM31r
 0sSoV9tCULi05a03KKFaTCf3A38cSU/Q9EKkdwh2zL5F/0cZx6yLOtAYlbrhe7QBRSwM2lUcB
 L5BEUFoJzOsS7yP0ZxhZiPHvYTNXLTsAaZ8byMNgyOPBeBJHo1iRiAVEz2L9hk3VOmIavUSjN
 b4oZHNij6HOOWXUgh6VZeUOixpvEnh9j16sLI6/raaztXwXef9xjkYesRW7CxoLBXaQmankhm
 Vy8NNKCvmgfSnfrAZZZaAvheglqmLIMJLak4EM5jPjtwGobAbTCt5/0sWCmPVc4Zk7rmP3jbf
 RMF+9rupFtL3DhYERLoGkX/4plxaumhb2FSfF4MaeaLOmeb6kKFCtBVbWpdSEQMIFpJ1r4yMa
 WbdY/vX+/7nubq7Kq6ag==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org, Alexander Miller <alexanderm@HIDDEN>,
 tumashu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Arthur already signed and prefer borderless stuff ... :-)

Waiting for Henry to show up ...

martin






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 6 Jan 2021 11:34:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 06 06:34:50 2021
Received: from localhost ([127.0.0.1]:43617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kx75V-0006va-Vn
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2021 06:34:50 -0500
Received: from mail-oln040092073047.outbound.protection.outlook.com
 ([40.92.73.47]:22558 helo=EUR04-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arthur.miller@HIDDEN>) id 1kx75T-0006vC-BG
 for 45620 <at> debbugs.gnu.org; Wed, 06 Jan 2021 06:34:48 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=LB1N9kJ5AlqpJ9URAoxMahiIbExx+MdnktnW6bnfPxUicnlbZjWqgFnsC02bTL+7qT9w4kok0p2Yh/I2aAURRqMwCvMSWwItMVGHWm0LULEnQDmwPHhVed7HZlN7aM/k9/MSLLx7vUCe4bJSWzwpCCUcDiEl0xxkM2Gdef8CU4t6XYkEMxu4gosJPH/JD7eypcJRC1IL6Qb1e6mdFrsl0vlPY/nwrJQZ4U6lsqe4D67tD9Vl3iPW5tpjlyHWw+87dD2PpufXj2eIrD80ebcbwAOebTkjp1ch9qlaLN97pdJvfR241YHlmvsZEMbG9iu3jajxRcRYIgo/xN9Tbt/GHA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=3ptIeRnVi+ENBS4mMgEZUTePjgGUvE+Mpt5i7xEigS4=;
 b=CsdBZLIfYzdLF23PwuQ/g5FKKBcFv3M3/3TyzycdQucIXaixJFhYDfgw/8XKYlryZ01Pr+E/y2EPZ+q4r3y+BxJnfRHTl719GIvS5vpFhwO9tCroB3O2AWqFATszMSP2ISWhq5uIaFGMaxUEL4tk5Z3moB+6U64SP+H/B6c97ps78sTKIFfcowJvtHzARv5wjRvuJWfDiZuNpt7yxAHDvLP7vxGWHzDfLh1NbSqr4TPhClkOxqevbdA4XOc2z+VPgM84D1KrQm3bzgl97PV1evB63rJtoN51vjSKyqW+lRHJKEeoYQDNbnyEIlqevW7tlOyVkEB+UFdpJDTXkwT4Pg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=live.com; s=selector1; 
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=3ptIeRnVi+ENBS4mMgEZUTePjgGUvE+Mpt5i7xEigS4=;
 b=cXEoCe1xBahTVPJ9x8G2IhJfwANBr4uLBNNi0wqQ//UCLJ5jEnz/oPXyFwUqw6rhYC1PVNbY5PqDllsR8xTF243cw90xKa0PqEy4GshMBs61TlNVmBw8OK8n9X/JayafaYgAfvBND4LnuM/vzom0IjkgH9BHZxqtfDN7DpppRN4UqlEcQyGTr5DtkPzJEqHRlZr7JoOADV2olhEOcQZgBYB4DEq9HvxX7jVi3wvOvyy0OJcmuxwTuyekdVW7gjyG8qpeqoQqbY+FcWaFMPeni69iU0FRc7K73lm8SeVK5Y5FtmE1JUDbIax2WbjmhTo+rQJGtpvDVoDrNMdzG37M/g==
Received: from VI1EUR04FT007.eop-eur04.prod.protection.outlook.com
 (2a01:111:e400:7e0e::4a) by
 VI1EUR04HT151.eop-eur04.prod.protection.outlook.com (2a01:111:e400:7e0e::357)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3721.20; Wed, 6 Jan
 2021 11:32:12 +0000
Received: from AM0PR06MB6577.eurprd06.prod.outlook.com
 (2a01:111:e400:7e0e::50) by VI1EUR04FT007.mail.protection.outlook.com
 (2a01:111:e400:7e0e::229) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3742.6 via Frontend
 Transport; Wed, 6 Jan 2021 11:32:12 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:C760927F6ACD00173DC6649DC935F0FFD30BD6F4F61A77DB848D3FD98B290692;
 UpperCasedChecksum:58C429EAD7D1CC9EBED66B9D1B1310A69486D03B7464B53805B1B746B31B81BA;
 SizeAsReceived:7609; Count:46
Received: from AM0PR06MB6577.eurprd06.prod.outlook.com
 ([fe80::9487:8c7d:da00:4993]) by AM0PR06MB6577.eurprd06.prod.outlook.com
 ([fe80::9487:8c7d:da00:4993%7]) with mapi id 15.20.3721.024; Wed, 6 Jan 2021
 11:32:12 +0000
From: Arthur Miller <arthur.miller@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
References: <2c70983d-947c-c8ce-731c-ab804642ded2@HIDDEN>
 <2d182c2b-36a1-4dba-431a-2945cc54d2f0@HIDDEN>
 <37736abb-082f-cc3b-8eae-5fb34ee9fcfd@HIDDEN>
Date: Wed, 06 Jan 2021 12:32:09 +0100
In-Reply-To: <37736abb-082f-cc3b-8eae-5fb34ee9fcfd@HIDDEN> (martin rudalics's
 message of "Tue, 5 Jan 2021 16:34:34 +0100")
Message-ID: <AM0PR06MB65777BB800455ECDBF8E117296D00@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Content-Type: text/plain
X-TMN: [dA1zCwVvB85eVcWHzqzuzh1OXqdI0/bz]
X-ClientProxiedBy: BE0P281CA0035.DEUP281.PROD.OUTLOOK.COM
 (2603:10a6:b10:14::22) To AM0PR06MB6577.eurprd06.prod.outlook.com
 (2603:10a6:208:19a::23)
X-Microsoft-Original-Message-ID: <87ft3e1eti.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from pascal.homepc (90.230.29.56) by
 BE0P281CA0035.DEUP281.PROD.OUTLOOK.COM (2603:10a6:b10:14::22) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3742.4 via Frontend Transport; Wed, 6 Jan 2021 11:32:11 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 46
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: d36a4d43-8e7e-4826-0364-08d8b236b608
X-MS-TrafficTypeDiagnostic: VI1EUR04HT151:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 4pN7kfW/pmYNsA+mGMYFo6eM8ZWNs2hDbQk/GlibcFJANf1FCuQfY+7bPDekBBvOoZIeVEjoTPl6qozbWnlenmzKH8TzLXm5gMJfmqEWkQx0O1x8Alva0zWULuoYi7silFScahZfGS0aIyTEgMs5HW8XQtipm/Ot30Yke2LIcKDRFEQTqXChH4IVzFucACDnxLsXDCvpG79QHhBc1BuyPDjm9oEWkRbagiVK5qAAbesO7UOA1vFqsBXWW9c831uS
X-MS-Exchange-AntiSpam-MessageData: fUDJB29wUxi/dIdtfgtvDg3PK5UaEI3hJlsFj5yeA4HE6MPjIB6Lbqg2LEJqGFDgasfBd2FNndrMFZ8MmSkM3S4mM/Z4ZXVXx37SVt/P1gkjZ6rWlcoui+aZxjhQctSeSvr5UpCdPmpSOWIdc/TnCw==
X-OriginatorOrg: live.com
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 06 Jan 2021 11:32:12.4344 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-Network-Message-Id: d36a4d43-8e7e-4826-0364-08d8b236b608
X-MS-Exchange-CrossTenant-AuthSource: VI1EUR04FT007.eop-eur04.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VI1EUR04HT151
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org, Alexander Miller <alexanderm@HIDDEN>,
 tumashu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>> Eli, can you send Arthur the forms please?
>                     ^^^^^
>
> Alexander, obviously ...
>
> martin
Arthur already signed and prefer borderless stuff ... :-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 5 Jan 2021 16:26:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 05 11:26:34 2021
Received: from localhost ([127.0.0.1]:42499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwpAH-0001ct-Re
	for submit <at> debbugs.gnu.org; Tue, 05 Jan 2021 11:26:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kwpAF-0001ce-Jy
 for 45620 <at> debbugs.gnu.org; Tue, 05 Jan 2021 11:26:32 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39649)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kwpA6-0001EF-US; Tue, 05 Jan 2021 11:26:22 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4250
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kwpA0-0008V2-2c; Tue, 05 Jan 2021 11:26:18 -0500
Date: Tue, 05 Jan 2021 18:26:10 +0200
Message-Id: <83k0sr9wpp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <2d182c2b-36a1-4dba-431a-2945cc54d2f0@HIDDEN> (message from
 martin rudalics on Tue, 5 Jan 2021 16:33:05 +0100)
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
References: <2c70983d-947c-c8ce-731c-ab804642ded2@HIDDEN>
 <2d182c2b-36a1-4dba-431a-2945cc54d2f0@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org, alexanderm@HIDDEN, tumashu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 45620 <at> debbugs.gnu.org, tumashu@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
> From: martin rudalics <rudalics@HIDDEN>
> Date: Tue, 5 Jan 2021 16:33:05 +0100
> 
> Eli, can you send Arthur the forms please?

Done.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 5 Jan 2021 15:34:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 05 10:34:52 2021
Received: from localhost ([127.0.0.1]:42457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwoMF-0000N8-PR
	for submit <at> debbugs.gnu.org; Tue, 05 Jan 2021 10:34:52 -0500
Received: from mout.gmx.net ([212.227.15.18]:47583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kwoME-0000Mv-DA
 for 45620 <at> debbugs.gnu.org; Tue, 05 Jan 2021 10:34:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609860875;
 bh=h6jAawu/wrrZcz7F83Mp2xZ+VV6K9fDmw4kTgdOSB2M=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=e/KeycCY0f2gMkjRih3p6PzkPRJ+ykhZXqh1Gj7TzrIBQ9sDweRgFymZKk24yAleo
 MqGJxI2urp+jzZu0GZkX9iZUv+c94duQFrZRt4GDF0ZVn08LG7lhRNOgSxaxpt9LXW
 qdD+cp/1XEEAxFwfKDsmHzpKG6zrsATYD6PlKHK4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.231]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mo6qv-1kDMKe2rWt-00pZgJ; Tue, 05
 Jan 2021 16:34:35 +0100
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
To: Alexander Miller <alexanderm@HIDDEN>
References: <2c70983d-947c-c8ce-731c-ab804642ded2@HIDDEN>
 <2d182c2b-36a1-4dba-431a-2945cc54d2f0@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <37736abb-082f-cc3b-8eae-5fb34ee9fcfd@HIDDEN>
Date: Tue, 5 Jan 2021 16:34:34 +0100
MIME-Version: 1.0
In-Reply-To: <2d182c2b-36a1-4dba-431a-2945cc54d2f0@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:GRmd2qYs6Z0IUzPzVvLpAKWMp3G6ZzeZnPvt8YMJyUMxuiZnyY8
 iFIKuKPywkW3Ea6KTI/682I4mErwi2fbZlNstC4l0RoRcNuJt+Qbvcl0JUy4nbZcAzvu4AX
 KMvb2YP0swIGefD56ODJsRe7cZdUB0WfuYwjn0+QGABYkhC6rUsI4M8m/kYcHpeEO/BgGTE
 1Bd3WFF+rZww40OoejJlw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qcBI+Fbj+e0=:KqE0ues01FVM/2XWeubl07
 FzCSMA23+vBTKoJzMYJyKvexXa8FG6ZzEgWYsGvUiv7nuffRIyC8wPKnf65IdPW1BEVKTOE+w
 3o1IUJXoFq/iIJv3CIqgwziY5Iug6QCnjkDHLdjUoZ+1pxVszOsdaSZDKHcO6Fp06MKMvBwt8
 pA8uIUOO3A46gTyqAKUQdfH0dX4N5XpHtu7HezxvRbgpclUQKc7wBc9D5O1NFDKO4CldbnDVa
 yNhzWhKLHpi9DUvrrcKMUmM6NsBGb1KG0NSAzeHZN4tXm4MeOTvY2lCji7+SzmqhEwgaxGeB5
 CfCDF5/lz2QmzYrvZhJfwrdGLksBKsmSnxGAlk4UOmhk0vGH605FtYBBUkeoO0plhQzr1yHPC
 iZtyndF0kORUmK2QaOhOmN5FcUfws4UTctR4h3aRQAG1anftquXgR3HDh7X/PvO/2GxUJMfF9
 HfJ4noZC9RQxyrWOWF/jDPfFQCLv3yXG+poptwLplFo//c4FY71s3eyios39G1kkLf1BeZLEq
 DxcYTmm0ZCmfw72CSQkwM209Z9OM1hV05pk63W0BXr4Gx0suMn86Oe8SmOwu2u5hJx+lM/cfx
 MBXaZTPZuidxU7CmknZYK2f2ffJBDNNBas0mXUuvJRX/+CYVX1LJwcQQBE3VLLhOluq0kKXqS
 wSQx9SkaP/YcrFvSkP/VhshjZNlvOv7RyoY/bWy3y34n5Pby6dm9fl+bR2PH5FdDu/n9ormf+
 G7YTohrGN3YXCf/V4MyVM5cKM1zTSI0UbUDNsAwhqYd8jBczaHBUMfpDD16KZ8kz/5/IOIJ94
 jnSVa6TtZJ1VR3joGvZOw4Tz3YBfx7ipghLUKC1M0gdOWXkGnonCbavZBAlru3J0GE8l6hZc/
 79E+0XceesxDMKE3hNEQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org, tumashu@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Eli, can you send Arthur the forms please?
                     ^^^^^

Alexander, obviously ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 5 Jan 2021 15:33:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 05 10:33:23 2021
Received: from localhost ([127.0.0.1]:42453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwoKp-0000L4-EV
	for submit <at> debbugs.gnu.org; Tue, 05 Jan 2021 10:33:23 -0500
Received: from mout.gmx.net ([212.227.15.19]:37727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kwoKo-0000Kq-C4
 for 45620 <at> debbugs.gnu.org; Tue, 05 Jan 2021 10:33:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609860786;
 bh=yoJhMiVxaqMjSZVFhQ9fV/wApLG9e12HMj3E7cxYRGM=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=ZppFXxW/vc9oL01PEVcRFWHL+ZBS4tm4YvE0AiuAAam3PTkxRbJ5BCd09wNAijBAw
 qI4yLurPpM9AY7bFuwxFLH4stFshdpXwTlzULR+KzE5WY+VJqkujISOjUhl5C66S2W
 ZPG2H1OKJa6exCiz4mT+SMSPdvOBa82aqp1MoTBc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.231]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mof9P-1kCoOJ2ovp-00p4dK; Tue, 05
 Jan 2021 16:33:06 +0100
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
To: Alexander Miller <alexanderm@HIDDEN>
References: <2c70983d-947c-c8ce-731c-ab804642ded2@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <2d182c2b-36a1-4dba-431a-2945cc54d2f0@HIDDEN>
Date: Tue, 5 Jan 2021 16:33:05 +0100
MIME-Version: 1.0
In-Reply-To: <2c70983d-947c-c8ce-731c-ab804642ded2@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:5aqltkapmNh0T6Drq0VQS9gRUj2/eL2sNKS/vOPqPSq/SBha0+o
 PdfYG5FDlnGz+IvnseM7x8ybQ2nzq7eGpChYtk1aSXUTfpmjbQbnMwIeoq0Wp4j3Ib861Wm
 YYKJwTy02eXdLrBwaFycACznTH2LpLKXEsm/8TBWCBzjN84QrQD816+2QNn0duzl95qEKad
 E0cljIfOq43UFqfD8e7Zw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:pkJLkkm0Fr0=:Ay/Qhs6qpVol9LQzADSVaE
 segk7qSAf6QAYfICjukbk1ed66CTmL9BZle92vDRCG2/KZrT+FreatRnVv8uReELMct99CeQ/
 iTWSuwJVmkSaL/ZpXB2ok8P7FyNIxNF2xfhM5n4O0qx/cQCrBw6E8mCjSAP8X03IZMZK45roQ
 1eyeHPmbiAanLC+eYtYnFKB1dqI8e1HlhZtXc95T2px5jpE58SGecK710ARO7S5uBdQm8DDo8
 oWLEBSZrx2HmB+n1V144GGlCWLqu9NKW7b44biCCYsER2aC3g3XHHLe9DOVAdZb4Aa8p3QD+r
 0O5Ve2V9FXixj4tiFh6erQJ1s+AcGjAumbRA3EWexB1X2+6cuyuUyL2mj15CnmGYfhooDXNc0
 aKqAL1aKdG+oaL83exMV1xPBzZp0gqU6smiPmuoyxVA4AvtAE4xtiXEramdistPrEPB9e3T2F
 58bA2lQ6Uk9udF73B1u9sV/R9WgBS2aMySImCTKlrWot3lPi8nwXxn6MA/N5W9skVTNEzYKn1
 z/QNuvp/b0wsFb5foJsN9ELedlB200Q8s1tDQO7RTVh8G5fCa2D2rvDPPYiEBhKwbelFhKlzV
 yar3/ELw1JLW84CANL5LrxEp/8idDr5WpeDvLCxkpZHrJur+HNtehGwMjSN8g2o7Hg2r1E6R0
 xHbeUwRBFO8i4AvaTrRE+CnnuS2mo6FsOYH7ML3IDXiZJDxYL24kuFTpjnxPd3NQnDhjZM9fu
 7fMUjIkToMGIYS0hOVDBKOtmlKzQU0xVckNjhd1u0GD0OiP/AusoeqmZ/TzvW63w3mV+s0zNg
 kJfjzAe4tLJTIzRCuIuhTKNQOfqyfqgr0OTXHOVfr3qOLrnKiggW05iecQc08U5FHUhIplbE5
 pAdfiJouoxSHjHY297MA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org, tumashu@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > To be honest I've don't really like C as a language, and learning it
 > would not do anything professionally for me either. So I'm jumping into
 > this strictly for the sake of improving Emacs.

Then please jump into this as often as you want.

 > x, ns and w32 all used the same code, so I changed them all to look like
 > this now.

OK.  I think a main reason that we usually do not factor out code in
these is that only one of them gets compiled in anyway - so we just save
an extra call.

 >  >> - Currently the actual width of the border is still controlled by the
 >  >> `internal-border-width` parameter for both frame types. Should I try to
 >  >> do something about that as well? If yes, what's my entry point?
 >  >
 >  > Add a 'child-frame-border-width' parameter. But in this case I would
 >  > propose to proceed as follows:
 >  >
 >  > - If for a frame the 'child-frame-border-width' was explicitly set, use
 >  > it.
 >  >
 >  > - If it was not set, use the 'internal-border-width' parameter.
 >
 > That's done now too, at least for X. I'll attach patches of my first
 > working drafts for both changes. Let me know if I'm on the right path so
 > far.

You're already at the end of it.  Please document the changes in the
Elisp manual and announce them as (probably incompatible) changes in
NEWS.

 >  >> - I think I'll need to sign the FSF copyright assignment, unless the
 >  >> limit is higher than the 15 lines I am remembering.
 >  >
 >  > I think so too.
 >  >
 >
 > Ok, what do I do?

Eli, can you send Arthur the forms please?

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 5 Jan 2021 12:45:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 05 07:45:12 2021
Received: from localhost ([127.0.0.1]:41053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwli4-0008Bq-06
	for submit <at> debbugs.gnu.org; Tue, 05 Jan 2021 07:45:12 -0500
Received: from mout.web.de ([212.227.17.12]:53089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexanderm@HIDDEN>) id 1kwli1-0008BF-Gv
 for 45620 <at> debbugs.gnu.org; Tue, 05 Jan 2021 07:45:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1609850691;
 bh=jRDAVjMGIQ9jwuwI5WGnJ2HSeUw3ARp++cgPrtMbzvA=;
 h=X-UI-Sender-Class:To:Cc:Subject:From:Date;
 b=PCvRhX34kSjFTp/V+16hvsPEogtsbnoN1rjUVsjBWUmymcv1Ywntx0i9Ex5e9Qkvf
 h9jJrwELwgoVq/1glpMg/73dsPlOhvfN7+qgnmTvpLplEFZRwzNBeejc0bFmFQzbfv
 rmogxhuWeqiYlNHQkPuSBXd61AoGjnleg2deK2+E=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.2.104] ([217.241.231.57]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1Ml4B4-1kG1yY3pSm-00lRIH; Tue, 05
 Jan 2021 13:44:51 +0100
To: rudalics@HIDDEN
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
From: Alexander Miller <alexanderm@HIDDEN>
Message-ID: <2c70983d-947c-c8ce-731c-ab804642ded2@HIDDEN>
Date: Tue, 5 Jan 2021 13:50:51 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.6.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------EF81FC4DEFDA1E52D80AABA6"
Content-Language: en-US
X-Provags-ID: V03:K1:5vQxHGctm6PkbnbesGxtkLDUMBVDbzQxQHi7kRCMcn+BOhNXBeh
 UNeb3jw3MZIHfH9AT0Gpm9W62VAkcKaAkwqmUSrvLQIbqMLwud2Lk+sMb075Sp9DHhuvznf
 szu0596ZBIBPP30ZwvSC4oTnxz5oaz2kwTcyoMZXb+aNtlZgrP0VCVoa6pGvdFhjBJRP2mS
 gBnecg3ZXBfZWBus47q3A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:1Yu+H3lbRFg=:rqgOBf36nonoiEJFLbQn+5
 y7SmMDXSoQ89CjAOAbL8LeHKAObJbRRhShJEjPfmQyYiN9K5NwWHoPaW8QQYnDuvEALofZni8
 +6Wq8S2egO3/5HSudxlcVHdBEIIG1NbFgw0USemOKCJyWGHWA8lEYvYpcBw1o03tcDkOFKRAe
 0PnKhcI0OSZkeBbR30bDBqKnkY9/BJDM9T8ZomXm786VoEwp02ioXmx/F1ogfMYqpYNByaNR0
 xo6ulFDuFdNheuBD1WLl5GhnExOQpoeF84Zr0iVvq5O+yDXPlepHzIriYhlHP15gtxw+FCxXg
 4LNq317rFU7iodGdxJOiHw04RCaen6qZ3Ww3XvVkT7X6eh2LGjDZr4AUlM50tne+yjCBKQH0j
 Vn8qkUWMOE4PsP/EGTRFZUXSI4okY6ZTTUsTpXnsmmA09q6Sg9fuUL8dwZztRD1OsM8/WriGP
 2pJMhOHoC2hKyIO/oxbUukEuhZS5ZLiQSTDCDbn3NVCPQI4OoSn3NgrF5VcDBQRG9rsIL3tNt
 xkAlfhnP9lN1sXB8U3nBRvRS3vhVpIG7/QD0E9E28/DgItqwXTp52BD9kvcEdSh8qvV7eNwTl
 SIk6S9cqIetskqvc8NQ4CwowGJsS28ard7pFrNup3w/41TzAPtFMEvynKGxB+9gYn9suxmQyI
 z4fN0B0hkAaaiHn1hw129YM8pwyLTkTp+vmmjAKuCYn5axQ1ak0aOc36H3P0Nn0kJoezbzGdd
 GMcbgxR3LBSaOv/MkjgClrTrzGBO1iRUZpe/sQsMC707ot/0KCTlBR8CDOr+KxzmR4OTMzIfS
 ubdGEAOupPUNjxlrikI/q7nPnsbH67G1hSmB8TvNcSlVeGVJE7Y4jBuFFtBPB4XK1eC1nm0zX
 1L6t9oRO9M0VUGTu+DVg==
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: >>> Can you propose a patch? >> >> I can *try*. I am
 absolutely
 not a C programmer, but as long as the task >> is limited to a monkey see,
 monkey do situation for handling a new face >> I should be a [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (alexanderm[at]web.de)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [212.227.17.12 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.12 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 2.8 FAKE_REPLY_A1          No description available.
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org, tumashu@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >>> Can you propose a patch? >> >> I can *try*. I am absolutely
    not a C programmer, but as long as the task >> is limited to a monkey see,
    monkey do situation for handling a new face >> I should be a [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [212.227.17.12 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.12 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (alexanderm[at]web.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  2.8 FAKE_REPLY_A1          No description available.

This is a multi-part message in MIME format.
--------------EF81FC4DEFDA1E52D80AABA6
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

 >>> Can you propose a patch?
 >>
 >> I can *try*. I am absolutely not a C programmer, but as long as the
task
 >> is limited to a monkey see, monkey do situation for handling a new fac=
e
 >> I should be able to hammer something useful together.
 >
 > That's one way to become a C programmer ...

To be honest I've don't really like C as a language, and learning it
would not do anything professionally for me either. So I'm jumping into
this strictly for the sake of improving Emacs.

 >> and I would like to put it into a single function accessible from
 >> anywhere. Is that the right call, and if yes, where would be the right
 >> place to put it?
 >
 > This is the first time I see the internal border face getting remapped.
 > I wasn't aware that nsterm.c does that and I'm not sure whether we
 > should add something similar to xterm.c and w32term.c. In nsterm.c I
 > would not write an extra function but instead of what we have now use
 >
 > int face_id =3D
 > (FRAME_PARENT_FRAME (f)
 > ? (!NILP (Vface_remapping_alist)
 > ? lookup_basic_face (NULL, f, CHILD_FRAME_BORDER_FACE_ID)
 > : CHILD_FRAME_BORDER_FACE_ID)
 > : (!NILP (Vface_remapping_alist)
 > ? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
 > : INTERNAL_BORDER_FACE_ID));

x, ns and w32 all used the same code, so I changed them all to look like
this now.

 >> - Currently the actual width of the border is still controlled by the
 >> `internal-border-width` parameter for both frame types. Should I try t=
o
 >> do something about that as well? If yes, what's my entry point?
 >
 > Add a 'child-frame-border-width' parameter. But in this case I would
 > propose to proceed as follows:
 >
 > - If for a frame the 'child-frame-border-width' was explicitly set, use
 > it.
 >
 > - If it was not set, use the 'internal-border-width' parameter.

That's done now too, at least for X. I'll attach patches of my first
working drafts for both changes. Let me know if I'm on the right path so
far.

 >> - I think I'll need to sign the FSF copyright assignment, unless the
 >> limit is higher than the 15 lines I am remembering.
 >
 > I think so too.
 >

Ok, what do I do?


--------------EF81FC4DEFDA1E52D80AABA6
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-WIP-child-frame-border.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0001-WIP-child-frame-border.patch"

=46rom 50e3d31abf4bd12e24f82bb2f8e39ec1c3c073e0 Mon Sep 17 00:00:00 2001
From: Alexander Miller <alexanderm@HIDDEN>
Date: Tue, 5 Jan 2021 11:33:31 +0100
Subject: [PATCH 1/2] WIP child-frame-border

=2D--
 lisp/faces.el    | 11 ++++++++++-
 src/dispextern.h |  1 +
 src/nsterm.m     | 10 +++++++---
 src/w32fns.c     | 10 +++++++---
 src/xfaces.c     |  3 +++
 src/xterm.c      | 20 ++++++++++++++------
 6 files changed, 42 insertions(+), 13 deletions(-)

diff --git a/lisp/faces.el b/lisp/faces.el
index 4e98338432..639dbeb09a 100644
=2D-- a/lisp/faces.el
+++ b/lisp/faces.el
@@ -2683,11 +2683,20 @@ window-divider-last-pixel

 (defface internal-border
     '((t nil))
-  "Basic face for the internal border."
+  "Basic face for the internal border.
+For the internal border of child frames see `child-frame-border'."
   :version "26.1"
   :group 'frames
   :group 'basic-faces)

+(defface child-frame-border
+  '((t nil))
+  "Basic face for the internal border of child frames.
+For the internal border of non-child frames see `internal-border'."
+  :version "28.1"
+  :group 'frames
+  :group 'basic-faces)
+
 (defface minibuffer-prompt
   '((((background dark)) :foreground "cyan")
     ;; Don't use blue because many users of the MS-DOS port customize
diff --git a/src/dispextern.h b/src/dispextern.h
index 3ad98b8344..f4e872644d 100644
=2D-- a/src/dispextern.h
+++ b/src/dispextern.h
@@ -1826,6 +1826,7 @@ #define FACE_UNIBYTE_P(FACE) ((FACE)->charset < 0)
   WINDOW_DIVIDER_FIRST_PIXEL_FACE_ID,
   WINDOW_DIVIDER_LAST_PIXEL_FACE_ID,
   INTERNAL_BORDER_FACE_ID,
+  CHILD_FRAME_BORDER_FACE_ID,
   TAB_BAR_FACE_ID,
   TAB_LINE_FACE_ID,
   BASIC_FACE_ID_SENTINEL
diff --git a/src/nsterm.m b/src/nsterm.m
index 2defb9e2ee..76f67d2531 100644
=2D-- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -3029,9 +3029,13 @@ so some key presses (TAB) are swallowed by the syst=
em.  */
       NSRectEdge edge[] =3D {NSMinXEdge, NSMinYEdge, NSMaxXEdge, NSMaxYEd=
ge};

       int face_id =3D
-	!NILP (Vface_remapping_alist)
-	? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
-	: INTERNAL_BORDER_FACE_ID;
+        (FRAME_PARENT_FRAME (f)
+         ? (!NILP (Vface_remapping_alist)
+            ? lookup_basic_face (NULL, f, CHILD_FRAME_BORDER_FACE_ID)
+            : CHILD_FRAME_BORDER_FACE_ID)
+         : (!NILP (Vface_remapping_alist)
+            ? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
+            : INTERNAL_BORDER_FACE_ID));
       struct face *face =3D FACE_FROM_ID_OR_NULL (f, face_id);

       if (!face)
diff --git a/src/w32fns.c b/src/w32fns.c
index c1e18ff7fa..061886f0bc 100644
=2D-- a/src/w32fns.c
+++ b/src/w32fns.c
@@ -1519,9 +1519,13 @@ w32_clear_under_internal_border (struct frame *f)
       int width =3D FRAME_PIXEL_WIDTH (f);
       int height =3D FRAME_PIXEL_HEIGHT (f);
       int face_id =3D
-	!NILP (Vface_remapping_alist)
-	? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
-	: INTERNAL_BORDER_FACE_ID;
+	(FRAME_PARENT_FRAME (f)
+	 ? (!NILP (Vface_remapping_alist)
+	    ? lookup_basic_face (NULL, f, CHILD_FRAME_BORDER_FACE_ID)
+	    : CHILD_FRAME_BORDER_FACE_ID)
+	 : (!NILP (Vface_remapping_alist)
+	    ? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
+	    : INTERNAL_BORDER_FACE_ID));
       struct face *face =3D FACE_FROM_ID_OR_NULL (f, face_id);

       block_input ();
diff --git a/src/xfaces.c b/src/xfaces.c
index b3b19a9cb2..5080120957 100644
=2D-- a/src/xfaces.c
+++ b/src/xfaces.c
@@ -4913,6 +4913,7 @@ lookup_basic_face (struct window *w, struct frame *f=
, int face_id)
     case WINDOW_DIVIDER_FIRST_PIXEL_FACE_ID:	name =3D Qwindow_divider_fir=
st_pixel;	break;
     case WINDOW_DIVIDER_LAST_PIXEL_FACE_ID:	name =3D Qwindow_divider_last=
_pixel;	break;
     case INTERNAL_BORDER_FACE_ID:	name =3D Qinternal_border; 	break;
+    case CHILD_FRAME_BORDER_FACE_ID:	name =3D Qchild_frame_border; 	break=
;

     default:
       emacs_abort (); /* the caller is supposed to pass us a basic face i=
d */
@@ -5619,6 +5620,7 @@ realize_basic_faces (struct frame *f)
       realize_named_face (f, Qwindow_divider_last_pixel,
 			  WINDOW_DIVIDER_LAST_PIXEL_FACE_ID);
       realize_named_face (f, Qinternal_border, INTERNAL_BORDER_FACE_ID);
+      realize_named_face (f, Qchild_frame_border, CHILD_FRAME_BORDER_FACE=
_ID);
       realize_named_face (f, Qtab_bar, TAB_BAR_FACE_ID);
       realize_named_face (f, Qtab_line, TAB_LINE_FACE_ID);

@@ -6967,6 +6969,7 @@ syms_of_xfaces (void)
   DEFSYM (Qwindow_divider_first_pixel, "window-divider-first-pixel");
   DEFSYM (Qwindow_divider_last_pixel, "window-divider-last-pixel");
   DEFSYM (Qinternal_border, "internal-border");
+  DEFSYM (Qchild_frame_border, "child-frame-border");

   /* TTY color-related functions (defined in tty-colors.el).  */
   DEFSYM (Qtty_color_desc, "tty-color-desc");
diff --git a/src/xterm.c b/src/xterm.c
index 0a86738cc2..92dcd95043 100644
=2D-- a/src/xterm.c
+++ b/src/xterm.c
@@ -1293,9 +1293,13 @@ x_clear_under_internal_border (struct frame *f)
       int height =3D FRAME_PIXEL_HEIGHT (f);
       int margin =3D FRAME_TOP_MARGIN_HEIGHT (f);
       int face_id =3D
-	!NILP (Vface_remapping_alist)
-	? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
-	: INTERNAL_BORDER_FACE_ID;
+	(FRAME_PARENT_FRAME (f)
+	 ? (!NILP (Vface_remapping_alist)
+	    ? lookup_basic_face (NULL, f, CHILD_FRAME_BORDER_FACE_ID)
+	    : CHILD_FRAME_BORDER_FACE_ID)
+	 : (!NILP (Vface_remapping_alist)
+	    ? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
+	    : INTERNAL_BORDER_FACE_ID));
       struct face *face =3D FACE_FROM_ID_OR_NULL (f, face_id);

       block_input ();
@@ -1360,9 +1364,13 @@ x_after_update_window_line (struct window *w, struc=
t glyph_row *desired_row)
       {
 	int y =3D WINDOW_TO_FRAME_PIXEL_Y (w, max (0, desired_row->y));
 	int face_id =3D
-	  !NILP (Vface_remapping_alist)
-	  ? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
-	  : INTERNAL_BORDER_FACE_ID;
+	  (FRAME_PARENT_FRAME (f)
+	   ? (!NILP (Vface_remapping_alist)
+	      ? lookup_basic_face (NULL, f, CHILD_FRAME_BORDER_FACE_ID)
+	      : CHILD_FRAME_BORDER_FACE_ID)
+	   : (!NILP (Vface_remapping_alist)
+	      ? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
+	      : INTERNAL_BORDER_FACE_ID));
 	struct face *face =3D FACE_FROM_ID_OR_NULL (f, face_id);

 	block_input ();
=2D-
2.29.2


--------------EF81FC4DEFDA1E52D80AABA6
Content-Type: text/x-patch; charset=UTF-8;
 name="0002-WIP-child-frame-border-width.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0002-WIP-child-frame-border-width.patch"

=46rom b176909995eea600d99354be2127469f472ce4bb Mon Sep 17 00:00:00 2001
From: Alexander Miller <alexanderm@HIDDEN>
Date: Tue, 5 Jan 2021 13:31:09 +0100
Subject: [PATCH 2/2] WIP child-frame-border-width

=2D--
 src/frame.c |  4 ++++
 src/frame.h | 14 +++++++++++++-
 src/xfns.c  | 54 +++++++++++++++++++++++++++++++++++++++++++++++++----
 3 files changed, 67 insertions(+), 5 deletions(-)

diff --git a/src/frame.c b/src/frame.c
index 45ee96e962..d5040dfae6 100644
=2D-- a/src/frame.c
+++ b/src/frame.c
@@ -3744,6 +3744,7 @@ DEFUN ("set-frame-window-state-change", Fset_frame_w=
indow_state_change,
   {"foreground-color",		-1},
   {"icon-name",			SYMBOL_INDEX (Qicon_name)},
   {"icon-type",			SYMBOL_INDEX (Qicon_type)},
+  {"child-frame-border-width",	SYMBOL_INDEX (Qchild_frame_border_width)},
   {"internal-border-width",	SYMBOL_INDEX (Qinternal_border_width)},
   {"right-divider-width",	SYMBOL_INDEX (Qright_divider_width)},
   {"bottom-divider-width",	SYMBOL_INDEX (Qbottom_divider_width)},
@@ -4287,6 +4288,8 @@ gui_report_frame_params (struct frame *f, Lisp_Objec=
t *alistptr)

   store_in_alist (alistptr, Qborder_width,
 		  make_fixnum (f->border_width));
+  store_in_alist (alistptr, Qchild_frame_border_width,
+		  make_fixnum (CHILD_FRAME_BORDER_WIDTH (f)));
   store_in_alist (alistptr, Qinternal_border_width,
 		  make_fixnum (FRAME_INTERNAL_BORDER_WIDTH (f)));
   store_in_alist (alistptr, Qright_divider_width,
@@ -5984,6 +5987,7 @@ syms_of_frame (void)
   DEFSYM (Qhorizontal_scroll_bars, "horizontal-scroll-bars");
   DEFSYM (Qicon_name, "icon-name");
   DEFSYM (Qicon_type, "icon-type");
+  DEFSYM (Qchild_frame_border_width, "child-frame-border-width");
   DEFSYM (Qinternal_border_width, "internal-border-width");
   DEFSYM (Qleft_fringe, "left-fringe");
   DEFSYM (Qline_spacing, "line-spacing");
diff --git a/src/frame.h b/src/frame.h
index 8cf41dc004..7d816f2516 100644
=2D-- a/src/frame.h
+++ b/src/frame.h
@@ -534,6 +534,10 @@ #define EMACS_FRAME_H
   /* Border width of the frame window as known by the (X) window system. =
 */
   int border_width;

+  /* Width of child frames' internal border.  Acts exactly like
+     internal_border_width below and will fall back on it when not set.*/
+  int child_frame_border_width;
+
   /* Width of the internal border.  This is a line of background color
      just inside the window's border.  When the frame is selected,
      a highlighting is displayed inside the internal border.  */
@@ -1432,11 +1436,19 @@ FRAME_TOTAL_FRINGE_WIDTH (struct frame *f)
   return FRAME_LEFT_FRINGE_WIDTH (f) + FRAME_RIGHT_FRINGE_WIDTH (f);
 }

+INLINE int
+CHILD_FRAME_BORDER_WIDTH (struct frame *f)
+{
+  return frame_dimension (f->child_frame_border_width);
+}
+
 /* Pixel-width of internal border lines.  */
 INLINE int
 FRAME_INTERNAL_BORDER_WIDTH (struct frame *f)
 {
-  return frame_dimension (f->internal_border_width);
+  return f->child_frame_border_width
+    ? CHILD_FRAME_BORDER_WIDTH(f)
+    : frame_dimension (f->internal_border_width);
 }

 /* Pixel-size of window divider lines.  */
diff --git a/src/xfns.c b/src/xfns.c
index 9ab537ca8d..663146d7f2 100644
=2D-- a/src/xfns.c
+++ b/src/xfns.c
@@ -1800,6 +1800,28 @@ x_change_tool_bar_height (struct frame *f, int heig=
ht)
 #endif /* USE_GTK */
 }

+static void
+x_set_child_frame_border_width (struct frame *f, Lisp_Object arg, Lisp_Ob=
ject oldval)
+{
+  int border =3D check_int_nonnegative (arg);
+
+  if (border !=3D CHILD_FRAME_BORDER_WIDTH (f))
+    {
+      f->child_frame_border_width =3D border;
+
+#ifdef USE_X_TOOLKIT
+      if (FRAME_X_OUTPUT (f)->edit_widget)
+	widget_store_internal_border (FRAME_X_OUTPUT (f)->edit_widget);
+#endif
+
+      if (FRAME_X_WINDOW (f))
+	{
+	  adjust_frame_size (f, -1, -1, 3, false, Qchild_frame_border_width);
+	  x_clear_under_internal_border (f);
+	}
+    }
+
+}

 static void
 x_set_internal_border_width (struct frame *f, Lisp_Object arg, Lisp_Objec=
t oldval)
@@ -3897,14 +3919,37 @@ DEFUN ("x-create-frame", Fx_create_frame, Sx_creat=
e_frame,
 	parms =3D Fcons (Fcons (Qinternal_border_width, value),
 		       parms);
     }
+  /* Same for child frames.  */
+  if (NILP (Fassq (Qchild_frame_border_width, parms)))
+    {
+      Lisp_Object value;
+
+      value =3D gui_display_get_arg (dpyinfo, parms, Qchild_frame_border_=
width,
+                                   "internalBorder", "internalBorder",
+                                   RES_TYPE_NUMBER);
+      if (! EQ (value, Qunbound))
+	parms =3D Fcons (Fcons (Qchild_frame_border_width, value),
+		       parms);
+
+    }
+
+  gui_default_parameter (f, parms, Qchild_frame_border_width,
+#ifdef USE_GTK /* We used to impose 0 in xg_create_frame_widgets.  */
+			 make_fixnum (0),
+#else
+			 make_fixnum (1),
+#endif
+			 "childFrameBorderWidth", "childFrameBorderWidth",
+			 RES_TYPE_NUMBER);
   gui_default_parameter (f, parms, Qinternal_border_width,
 #ifdef USE_GTK /* We used to impose 0 in xg_create_frame_widgets.  */
-                         make_fixnum (0),
+			 make_fixnum (0),
 #else
-                         make_fixnum (1),
+			 make_fixnum (1),
 #endif
-                         "internalBorderWidth", "internalBorderWidth",
-                         RES_TYPE_NUMBER);
+			 "internalBorderWidth", "internalBorderWidth",
+			 RES_TYPE_NUMBER);
+
   gui_default_parameter (f, parms, Qright_divider_width, make_fixnum (0),
                          NULL, NULL, RES_TYPE_NUMBER);
   gui_default_parameter (f, parms, Qbottom_divider_width, make_fixnum (0)=
,
@@ -7762,6 +7807,7 @@ DEFUN ("x-gtk-debug", Fx_gtk_debug, Sx_gtk_debug, 1,=
 1, 0,
   x_set_foreground_color,
   x_set_icon_name,
   x_set_icon_type,
+  x_set_child_frame_border_width,
   x_set_internal_border_width,
   gui_set_right_divider_width,
   gui_set_bottom_divider_width,
=2D-
2.29.2


--------------EF81FC4DEFDA1E52D80AABA6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 4 Jan 2021 18:54:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 04 13:54:36 2021
Received: from localhost ([127.0.0.1]:60289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwUzz-0006Sz-Ov
	for submit <at> debbugs.gnu.org; Mon, 04 Jan 2021 13:54:36 -0500
Received: from mout.gmx.net ([212.227.17.20]:45605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kwUzx-0006Sl-Vh
 for 45620 <at> debbugs.gnu.org; Mon, 04 Jan 2021 13:54:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609786464;
 bh=LNktjEmdQC/GXuSovlnb7vJc9r51ot4yJlymzgQNxfw=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=SOZgiImiebPZtLmof0GwK6i8mq0GWsyfgHT6mdNjnqBPc2bNFoVnKU87py9IIiie4
 OsqunNgU82fLGTdeDLURNUeNvz7hsQ9I46Ft8s9V0Wi8zvZh2L1dYq8wIrOR/g9sWT
 zjgyIDyAPFpce3ORqWU0Y+ADlnTmzXYJDrtMHcf8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([46.125.249.15]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MvK4f-1k5Uu11RI1-00rGyJ; Mon, 04
 Jan 2021 19:54:24 +0100
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
To: Alexander Miller <alexanderm@HIDDEN>
References: <35f3b179-5e1f-e327-d909-6d934092b01d@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <000f7dc3-8d6a-a1ba-3f63-b5dd33bb10d6@HIDDEN>
Date: Mon, 4 Jan 2021 19:54:22 +0100
MIME-Version: 1.0
In-Reply-To: <35f3b179-5e1f-e327-d909-6d934092b01d@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:lg0U5VcMrkEh+QVNbCqYyFb5jXaFFqItV+AnnqsGbSkJ656+9rL
 pZdu3d/XRJtWG7wL3QKrlOsB/aXdOZeIWbvLWHo9LnRO8RTWHBCrTyWFKNbfSSanTChBwyj
 3gf/flsfFb12nV/5nXEOL9iRHEKD3LLXi6OBB0AFEZEJcmmvKyj8cbtV/gXtb8XNihtHBUK
 Z4XfRmYFuOeuMoV4k6cIg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:SdUm01RjIUQ=:J5nVBFi2xa0MpNVpnEF20A
 i9mW/x6S+wmXtVHsClXkERDxpeqY3VrHAwevKNntrcIpbaRi7lt3kpYOTM/xJg1atSoMhkxyw
 9FBCTDAdAvdFmdi0kWkuMdttwd10qwoPjbLcuKhbvqCH7asifbKalkJZBpxydPo6wVS6jdUoF
 9Jx2nVzX6dLzgXotCzNJ0DaN38InHoMkYEpMEhf5+EVRp567wK5WM3DfRVgacyTQWcl3DjX/h
 Kuw6s0YLRaHszrps+B8aq3lThGrdj//rVWM8b17aDaddWplZ3a7Tww53OcL0Jwobk2/p/IO1L
 tg0wKLbVBW18nYuz4XEo+75xtr6eN7FKOrLCxPzd1QwosVABR9t8Y4bpPOijM0Jp2dFbjiZoN
 rDYCtbX1R1HuNRm2uQmCN8yCxgkHrHywIu7GxEYK2DtGi7VdTw5396IpJLg81g+iJLGf2AP9W
 KgN7tremN2BbMnj30VcDtFMzB63rIo8M5DQzz+9V9ckCWrQnS8tyPqtLyPs0avBhK35nDkmwN
 QVf+jkCkEFCFf3iigRNW832fXII1+AOodmg3R9BWr0vbJtBDisuXyohLXC+Uo/H9nP6+UT6Ot
 mTfZwp7dcfFeiOyb83WKK+uEy+T15ZqtqTZogCJ70wrPVdpj7W17VbFoIoQX5ja5GuZscks7J
 6IGQWKJIF+VFZ76c95rZIcN1cCSbogB9SSiVFLRJYGrdSXRz0ZqKrrPOCvl6xStHU16j0CsdW
 Oxax4Np67iLJwS+T2GIIcOsV8cQuSEb4oPpDkju7FaZmikgOose2IZELWDJ1zuizOiMdgNub9
 jN7X65oDXuEOmjEr8GheFynWT0bYAsOuGAtFAhJNERWShDPJscrzY0Uj0Qq89r8KRGrlvG7go
 N1rDxv9+y1Vr8pnaeCVQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org, Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >  > Can you propose a patch?
 >
 > I can *try*. I am absolutely not a C programmer, but as long as the task
 > is limited to a monkey see, monkey do situation for handling a new face
 > I should be able to hammer something useful together.

That's one way to become a C programmer ...

 > In fact my first attempt seems to compile and behave as expected, so I
 > have a few questions on how to proceed:
 >
 > - I need to repeatedly use a pattern that looks like this:
 >
 > int is_child_frame = FRAME_PARENT_FRAME(f) != NULL;

In that case you should make is_child_frame a bool and not an int.  But
it's much simpler to just test for FRAME_PARENT_FRAME (f) wherever you
see a need for is_child_frame like in

 > int border_face_id = is_child_frame

   int border_face_id = FRAME_PARENT_FRAME (f)

 >     ? CHILD_FRAME_BORDER_FACE_ID
 >     : INTERNAL_BORDER_FACE_ID;
 > int face_id = !NILP (Vface_remapping_alist)
 >     ? lookup_basic_face (NULL, f, border_face_id)
 >     : border_face_id;
 >
 > and I would like to put it into a single function accessible from
 > anywhere. Is that the right call, and if yes, where would be the right
 > place to put it?

This is the first time I see the internal border face getting remapped.
I wasn't aware that nsterm.c does that and I'm not sure whether we
should add something similar to xterm.c and w32term.c.  In nsterm.c I
would not write an extra function but instead of what we have now use

       int face_id =
	(FRAME_PARENT_FRAME (f)
	 ? (!NILP (Vface_remapping_alist)
	    ? lookup_basic_face (NULL, f, CHILD_FRAME_BORDER_FACE_ID)
	    : CHILD_FRAME_BORDER_FACE_ID)
	 : (!NILP (Vface_remapping_alist)
	    ? lookup_basic_face (NULL, f, INTERNAL_BORDER_FACE_ID)
	    : INTERNAL_BORDER_FACE_ID));

and in lookup_basic_face in xfaces.c you'd then have to add

     case CHILD_FRAME_BORDER_FACE_ID:	name = Qchild_frame_border; 	break;

It's augmenting forms like that last one that get the most obscure bugs,
so don't despair.

 > - Currently the actual width of the border is still controlled by the
 > `internal-border-width` parameter for both frame types. Should I try to
 > do something about that as well? If yes, what's my entry point?

Add a 'child-frame-border-width' parameter.  But in this case I would
propose to proceed as follows:

- If for a frame the 'child-frame-border-width' was explicitly set, use
   it.

- If it was not set, use the 'internal-border-width' parameter.

Note that people have already set up their own child frame creation
routines and we should try to not punish them too much.  And please try
to discuss this on the list you cited earlier and also with the
posframe.el designer.  Mister Feng Shu you've inevitably become a
participant of this thread now.

 > - I think I'll need to sign the FSF copyright assignment, unless the
 > limit is higher than the 15 lines I am remembering.

I think so too.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 4 Jan 2021 17:43:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 04 12:43:06 2021
Received: from localhost ([127.0.0.1]:60192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwTso-0004Ta-2m
	for submit <at> debbugs.gnu.org; Mon, 04 Jan 2021 12:43:06 -0500
Received: from mout.web.de ([212.227.15.14]:58825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexanderm@HIDDEN>) id 1kwTsm-0004T5-JG
 for 45620 <at> debbugs.gnu.org; Mon, 04 Jan 2021 12:43:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1609782178;
 bh=Mqw7RYINajh54a5NE+LRv/Muv/vPp/k3WNQNOJUQXQw=;
 h=X-UI-Sender-Class:To:Cc:Subject:From:Date;
 b=OpoEC6d+7lrCEAoNAWNKdaw0K2HAyIbAwWaPKCMvC2c4dM65wDBVK1RKrNvKrL+++
 2rwjKNg7pj8F/vJYs9d7hrTjwA045Nfr89gnhTBKOA7tCbC8H+R86y10g356wIh5DH
 P5Ba24oB8VcREIaFoOOJ3g+uGbycc02HJ5lZMtAk=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.2.104] ([217.241.231.57]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MNLAn-1ktzqd0tTt-006t6q; Mon, 04
 Jan 2021 18:42:58 +0100
To: rudalics@HIDDEN
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
From: Alexander Miller <alexanderm@HIDDEN>
Message-ID: <35f3b179-5e1f-e327-d909-6d934092b01d@HIDDEN>
Date: Mon, 4 Jan 2021 18:48:58 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
Content-Language: en-US
X-Provags-ID: V03:K1:bE/UtfGqRE03AWzyUyy3D3BqYejywoxxg8ZM7ENOm11JBNSj1VC
 zBrTMXTwBBlV0xpvmaygXHzgJ7F8UXmwYJTtaqqx7YJbmjq7Er21FGGbE/9kCDLOUjxi4Wn
 Y5tpQwMGt5gaafoPmCrdwuDauCK17S6myW1I1r9ApNKZIlWDQlKpuD+HzFzmB7QyYzpT7th
 VZ0mT9muz1o77tYyikieQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:lSNi0XbST3U=:zOYUrFd9Q2+aZgRvDSY8Su
 XiohRYvwivJHrSyBOVoF6B78xrpRDy7Jm9j+ObhyXAnduyLN0K0wZAGSnro181Cl9sUfGsK4H
 4giwRNk/qYZxw5H4r026GZc9Y/HR07KjKMMAsC2hYg/ACDFTsUwkkq5Y3/bIADBWtmZqgQSgK
 gS/afYKVBtnrzvBvAoZGY/FP8XxbHDaahHIalmi05kRCN91gchSWMfRZNl1BFN6/2O8l6/o0I
 eqwjNjt2FlMXur7TRhrCXqz0QWWBSQJH7yQ6be/EgQZ9Ed7egBVcrI4sQmS4IgXBzAtH2xuHS
 bMeut+P/TTXYtMBL6x9lMLSrXWE0YrPgeZnOfeH3J+9822NEiT5Q73RmfmFvo8XaaJsEZ9E7v
 evn1Z6ppQ85lTpNuKXg8Ht1/0VfzOUKNw37XZXPJeqg5QanRLXq1bZGVcVJJ+hud5Z8b/6AXN
 oWwMOX6Ci6O6Q7vdfwdd06KNmbmZ/nQAo14PC6HaZykxsa/GsWtsI8S2B+sGIdHZ+oJGUyRvN
 JqnMuDAkt+bqly8nvwNBBWgnR+/4dHL7b9ty/1Och9Lhm497IEC2DNu1K8pj/xw+JmVSNzpHF
 DY+bAlpQtnC26vR+PnedMBf59wnorhU7wXnTDMIReVH23XEnUOT6tD/m3/eoIs+XOzEOiwzto
 xcLK/WCz7QYc3+EEuYBB5PI9Qd/ZkNUgaMhdh7ckBWMZHr/o6YYedH4vu8TQhaSFNFuQuhMcs
 LFE2li7RGPK9C4GfDzUYlMq/rH/XS2akgLUhRdP7LRLi75y46xGY10BV/tTctr6ConHVp/Dh9
 ehN4chukJfNc4oSbUBxjbOsTCqvmXH8EHTl0CxZMcC7wtc94Q9Sb6Ieul6OQ2I3Byr8XCB4T9
 vE+s1rFFn7XyhOOxSbtA==
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > As soon as I apply the value I customized there,
 my minibuffer
 child > frame gets that border instead of the one specified via >
 'pop-up-mini-internal-border'
 above. Personally I would think this behaviour is mildly inconvenient at
 worst, but hardly a real problem. It's just a new global default overriding
 local customisations. 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (alexanderm[at]web.de)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.14 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.14 listed in wl.mailspike.net]
 2.8 FAKE_REPLY_A1          No description available.
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > As soon as I apply the value I customized there, my minibuffer
    child > frame gets that border instead of the one specified via > 'pop-up-mini-internal-border'
    above. Personally I would think this behaviour is mildly inconvenient at
   worst, but hardly a real problem. It's just a new global default overriding
    local customisations. 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.14 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.14 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (alexanderm[at]web.de)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  2.8 FAKE_REPLY_A1          No description available.

 > As soon as I apply the value I customized there, my minibuffer child
 > frame gets that border instead of the one specified via
 > 'pop-up-mini-internal-border' above.

Personally I would think this behaviour is mildly inconvenient at worst,
but hardly a real problem. It's just a new global default overriding
local customisations.

And that is only if I manage to run into the situation in the first
place - I am not usually in the habit of customising frame border faces,
and I don't think many other people are, either. So from my perspective
I don't really see the danger (or annoyance) in this behaviour.

 > Can you propose a patch?

I can *try*. I am absolutely not a C programmer, but as long as the task
is limited to a monkey see, monkey do situation for handling a new face
I should be able to hammer something useful together.

In fact my first attempt seems to compile and behave as expected, so I
have a few questions on how to proceed:

- I need to repeatedly use a pattern that looks like this:

int is_child_frame =3D FRAME_PARENT_FRAME(f) !=3D NULL;
int border_face_id =3D is_child_frame
 =C2=A0=C2=A0 ? CHILD_FRAME_BORDER_FACE_ID
 =C2=A0=C2=A0 : INTERNAL_BORDER_FACE_ID;
int face_id =3D !NILP (Vface_remapping_alist)
 =C2=A0=C2=A0 ? lookup_basic_face (NULL, f, border_face_id)
 =C2=A0=C2=A0 : border_face_id;

and I would like to put it into a single function accessible from
anywhere. Is that the right call, and if yes, where would be the right
place to put it?

- Currently the actual width of the border is still controlled by the
`internal-border-width` parameter for both frame types. Should I try to
do something about that as well? If yes, what's my entry point?

- I think I'll need to sign the FSF copyright assignment, unless the
limit is higher than the 15 lines I am remembering.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 4 Jan 2021 16:22:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 04 11:22:54 2021
Received: from localhost ([127.0.0.1]:60035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwSdC-0002Mu-3a
	for submit <at> debbugs.gnu.org; Mon, 04 Jan 2021 11:22:54 -0500
Received: from mout.gmx.net ([212.227.15.18]:53891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kwSd9-0002Mg-IG
 for 45620 <at> debbugs.gnu.org; Mon, 04 Jan 2021 11:22:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609777365;
 bh=WNcE0v5B3WJ7uceBo+UgtbucUoJ7gDeBpXsMk+E6MG8=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=Kmu3WBT1bF64vEAPDM0CiGKZ9oYqNKQq6HJe5EA16qn5XuIlhYJBNvGOJqU3T7u34
 O1M59tWL/zAz+pI00aOg0J7FqSTYtA80hlbbQOGaS7xRqdKmCxyyrO3jX9GSai51Mo
 p/vygGC35yKFdX42l3reBljaDBWf2H223LmenIgI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([46.125.249.15]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MBUqL-1kqBdy25fz-00Cy7t; Mon, 04
 Jan 2021 17:22:45 +0100
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
To: Alexander Miller <alexanderm@HIDDEN>
References: <f4d634a0-9b66-cef5-96e1-dffbd1c29ff6@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <8af92126-3e57-66c0-08e9-b0b5326fa538@HIDDEN>
Date: Mon, 4 Jan 2021 17:22:44 +0100
MIME-Version: 1.0
In-Reply-To: <f4d634a0-9b66-cef5-96e1-dffbd1c29ff6@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:Iga+wE2fNobC5IlTcghW6ROb3IKwOe3hIIDsr6jnqvmf+ETHbqU
 6d4eRfKUoF9hoWkjH2SIo/0C5aH0c8+DC1MhI8SxF96ZWyxftM47xUeOfNbth3rLhWMYhQz
 jidnAvMEern6fp640Wx5mLOgEt1g+LuAlrjt9Hk1k63UxGrcOjKKE5/bPOtI99CBjZRCOHb
 ybC6R6sN6Po20ztIin2ow==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Yh75fMbcWI4=:9dBjICyVhKtxet0nWHJbVn
 38pyPINmpRsH1r/JrGVADscqDCoO4mLzcjxk6nFtOaZZPyG0vFfoP9d+pwX4WByTgzH1/mdYN
 NsTQ+32GhAutawlzsWkRk7yejxlW2zlMmdVXRxT1O7uiRpjutaF2FAE1txQkYnpkvfOjSHjnB
 Lma7fZou5PnoDdCC5BQiYnV1Kf+IXmXkdbbddE8yIf3z3lWr3ICVQSWVJP7lGHQgDEcDWUop+
 IuU6XIYa4fvqz2srnqA++/zBHmEISSwUFloqJODSe2w3BQFA4ur5aNsBKzd123b/aRX9ujEIo
 hteQ2DPbHjt4rRFpfY7k2eKSx2IrT1hQie4fBjmcS6QP1tm3swboVYcugh9SnKJETqJMi7e+R
 LN0GQTJ6Qzq9VAMtNuE4KdPg8ECkQ+WZ/kIiQYkm3rPwn99FHAEYFQdeBbBzXPgPah9UrPfhd
 Ei2FDK7f9FbuGsBmLNN8UzkMjvDHOSPSM6TMLj4V/ULRRciAzYDKz+e8WqdMD86660kCutcFa
 5LViMjVQErJqo5DwYk6oPZM+saRNXWkisAWxHRT18zHEICw5lT44DKNOt4DlL5pQF1QICEtk8
 X30qoLsUnGT8hu/H5bU9sG+jVbLDkOwxUlM2PZ/2pDrUE0UpVHX5d/UlvV7P4m7NeBdi7xNlm
 ZnqycFAfqcqKB0myTv1BETuYZKUnp+x5BJW4WIZj+Po6TEvWKQkydS2QYtxbhNEmBl1aXQWYN
 ZS9G+QrQK/PlVOTLeCrY2cgmoUde3Pljy6ChMyJCOTZtspa/lgXyJqYDzrm6MRnyxkPofibee
 8iBAsC7BBLPHZLu54PyZQbO82y+FylZq9aZKTpG4Ws9ZKSkKsOiQTLi1SuLJEDkYwVdMZf/KQ
 iro1vq0UJnmtVIhTeYuQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > What customisations are you referring to? I cannot think of any
 > scenario, other than changing and reloading your theme, that could
 > change the settings of already present child frames.

Here I'm using a child frame for popping up the minibuffer with the
customization

(defcustom pop-up-mini-internal-border "blue"
   "Background of internal border of 'pop-up-mini-frame'."
   ...

and the form

   (set-face-background
    'internal-border pop-up-mini-internal-border pop-up-mini-frame)

to put it into practice when setting up such a frame.  This works fine
until I do M-x customize-face RET internal-border RET.  As soon as I
apply the value I customized there, my minibuffer child frame gets that
border instead of the one specified via 'pop-up-mini-internal-border'
above.

 >  > If I'm not mistaken we use that face for our tooltip frames too which
 >  > means one more conflict.
 >
 > Partially. On my system the internal-border colour and width only
 > applied to the top and left sides of the tooltip frame.

Yes.  I think there's a bug somewhere but the only time I tried to
locate it, I decided that someone else intentionally does it that way.

 > Packages do have the choice, they just have to make sure to override the
 > frame-local faces whenever they show something. The problem, as I see
 > it, is that they *have to* create a face to override the local
 > internal-border, instead of just having the option to do it, because
 > themes cannot offer a general setting, like an easily visible dark
 > border on a bright foreground, because they run into the frame margin
 > colour conflict like modus did in the linked issue. So if a package
 > doesn't overwrite the local internal-border your default look-and-feel
 > is a badly visible same-colour-on-same-colour popup.

Agreed.  On a historical note, I had to add the entire internal border
entertainment to child frames because neither gtk nor X bother to supply
the normal window manager border for them (Windows does) and so you can
neither make them stand apart easily nor can you resize them with the
mouse.  Implementing the latter from within Emacs was even very
entertaining.  I intentionally left the border color alone because I'm
convinced that customizing it is a bad idea as sketched in the above
scenario and packages should always try their own way to specify it.

 >  > So what should we do? Provide a separate 'child-frame-internal-border'
 >  > face and then probably also a 'tooltip-internal-border-face'?
 >
 > That would be perfectly good enough for themes like modus, yes.

Can you propose a patch?  Look at where we use INTERNAL_BORDER_FACE_ID
to set up a face (x_clear_under_internal_border in xterm.c is an
example), check f for child-frameness there and use the new face if the
frame is a child frame.  But be aware: Users like me will then have to
separately set the background for the child frame face so you might get
incompatibility complaints ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 4 Jan 2021 13:32:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 04 08:32:46 2021
Received: from localhost ([127.0.0.1]:58121 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwPyY-00063s-JW
	for submit <at> debbugs.gnu.org; Mon, 04 Jan 2021 08:32:46 -0500
Received: from mout.web.de ([212.227.15.4]:40777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexanderm@HIDDEN>) id 1kwPyX-00063f-H4
 for 45620 <at> debbugs.gnu.org; Mon, 04 Jan 2021 08:32:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1609767159;
 bh=LuZS3/QTR95Yjm9JJ69w1DH3AddsYhI30HefdcBk/aM=;
 h=X-UI-Sender-Class:To:Cc:Subject:From:Date;
 b=N7xZxdySOoZCYXK87IGo9zbw5OPldn7XlfMixlTU5x/viBwzOyQqdZZlfLWiMOUkY
 /Z1ttjTJfH3iQjljQIuAn+nROsdmdEodn5aJNZjhT0+CMw9A4FZ1zdTFncwb43dxvI
 DSGcBKzsFhuDtBjRJx/CQ9/NDVvEOAh2I7yPveAI=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.2.104] ([217.241.231.57]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MgOQQ-1kb1jV0YBa-00NiYp; Mon, 04
 Jan 2021 14:32:39 +0100
To: rudalics@HIDDEN
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
From: Alexander Miller <alexanderm@HIDDEN>
Message-ID: <f4d634a0-9b66-cef5-96e1-dffbd1c29ff6@HIDDEN>
Date: Mon, 4 Jan 2021 14:38:37 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Provags-ID: V03:K1:q88wDpFyBAdLuO6DZDF3Nssk+wdqbwMOF0KuonQ0Vgu1zhfauz1
 r549hndy6bdphMKZ6fM5E/ateyea+klGE4bC2vkm5MHOJkIKYGKFpjjCNnJ5wHtQW68PG8A
 6lOXsaGlW0hBYd3T63vt0AtzuiapNCNNWT5DQGyNkGTSak7kSh5Qri1McOLIjeEz8WX5XGp
 IxlgGAUrYAxi/JvJ9PnTg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:rvkTNeUBjDA=:530zLSHERdI6bcpDuJ8aq6
 5ldQKh7DU12Ya44axQFSfNAIzMZPi35DE/C5bdjMuHUv+IJL/m0/Q0Hk+N3qjYHG3d/tSQfU3
 o04kzqnw/0NY5NQij0J4Q6xk2EMxXwqkMO/0fehUdfxn79iZJvoOC8rg9rop5XqCAO0nxcsfQ
 gqKr28oCsBtDe5Nr3CSUAa/Da+UuZ7yfZwdxOS7UkbiineyPgesi01OjWkbYEsogyNnAZ18gQ
 6MHADxyGntzz/CVDtfQfJWzOUP9opVlT7hrgI9rQJguKfpR+g0WW3L5z85AY9+klBFCQL02/S
 2YUSlMraLUBsqDmLYGCxd/nPqXBouxOkQ+tNHhDeobSf0I+h+tfMBZJxYXb7A04WG11uGKtPu
 lE6gkzcdfIG84zSxgovjY7o0crRXO0TWUSb3+KoYD8fBe0/K7MjSVH3BGpgvNePco0r3jwp6R
 jZA+bfkjlCMJPdIYLnDxoitmRSljH+TT/WDwmDZedB756WPWRo1KPnXEDKgNVl33Ub2Dbz9Ev
 2SoOmtIsiwjBeKMOTHgT5XavT5WP3VQgvWcDgqCc7BwEFriMy5lqbocAPfSX/r7Lt30IrgXV6
 ygBQfy5DuGHKip8MRLOBPJpHXjwEH2fDqckcP5ueWZxkLRDhGut1bPtmkCYAZSXAR+nET4SOs
 M/8Hm2jWSMSP5Bsw9LQHY9feHeqT2xwaTW1RjPJy+Z7tisGSC062tF2uh3Oyck1Cb1FejojQ1
 GV0eRzkG+TweEl0RUXORwXBh0QP9xfZ1Z4Ikw9mc3TOigLQ0HZT/rwJqtqtyYOytWaFBS0PLR
 lv4YRL+dtQu2tZgBbX8+OL2mYrqMN2OhrKM2vKuH1THKhtrL8z2Y3GpxqFNpBcdc8/Zz8jIWd
 Au7RcsWVXIwW1OtD1VkQ==
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Isn't the situation even worse than how you describe it
 here? When I > customize 'internal-border' face, that affects all frames,
 including > those for which I have set it already via 'set-face-bac [...]
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.4 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (alexanderm[at]web.de)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [212.227.15.4 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 2.8 FAKE_REPLY_A1          No description available.
X-Debbugs-Envelope-To: 45620
Cc: 45620 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Isn't the situation even worse than how you describe it
    here? When I > customize 'internal-border' face, that affects all frames,
    including > those for which I have set it already via 'set-face-bac [...]
    
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.4 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [212.227.15.4 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (alexanderm[at]web.de)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  2.8 FAKE_REPLY_A1          No description available.

 > Isn't the situation even worse than how you describe it here? When I
 > customize 'internal-border' face, that affects all frames, including
 > those for which I have set it already via 'set-face-background'. Which
 > means that whatever a package does to set that face for a specific
 > (child) frame, that setting is undone by a later customization. IIUC
 > the discussion you refer to above arrived at the same conclusion.

What customisations are you referring to? I cannot think of any
scenario, other than changing and reloading your theme, that could
change the settings of already present child frames.

 > If I'm not mistaken we use that face for our tooltip frames too which
 > means one more conflict.

Partially. On my system the internal-border colour and width only
applied to the top and left sides of the tooltip frame.

 > "clearly" is clearly too strong here. Ultimately, the package must have
 > the choice and its choice should prevail (it currently doesn't).

Packages do have the choice, they just have to make sure to override the
frame-local faces whenever they show something. The problem, as I see
it, is that they *have to* create a face to override the local
internal-border, instead of just having the option to do it, because
themes cannot offer a general setting, like an easily visible dark
border on a bright foreground, because they run into the frame margin
colour conflict like modus did in the linked issue. So if a package
doesn't overwrite the local internal-border your default look-and-feel
is a badly visible same-colour-on-same-colour popup.

 > So what should we do? Provide a separate 'child-frame-internal-border'
 > face and then probably also a 'tooltip-internal-border-face'?

That would be perfectly good enough for themes like modus, yes.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at 45620 <at> debbugs.gnu.org:


Received: (at 45620) by debbugs.gnu.org; 3 Jan 2021 16:16:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 03 11:16:11 2021
Received: from localhost ([127.0.0.1]:38450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kw638-0005k2-Ta
	for submit <at> debbugs.gnu.org; Sun, 03 Jan 2021 11:16:11 -0500
Received: from mout.gmx.net ([212.227.15.18]:40523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kw634-0005jG-4y
 for 45620 <at> debbugs.gnu.org; Sun, 03 Jan 2021 11:16:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609690559;
 bh=+K3N7ZRKe8mY+dHybf4e97W+xu/cykxKVjBKV9D6bzk=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=SUeWeW0OFdtN58zXSoQkp6GqSElboGhl3XXYNHJVFxe+TSMWjCRlyJPhNbFxXjRiQ
 OUKRuFEaF8e31Lc5eI3jM6yJbnU+MiSc5xc7iRCmr+s69SygXey6ZdN9bbvrEn6XQy
 4Tz5ktodKet6NfT2718WVw6bFMFTIfWe29ajvcfA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.103] ([212.95.5.250]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MhU5R-1kIece30F9-00eaxx; Sun, 03
 Jan 2021 17:15:59 +0100
Subject: Re: bug#45620: 28.0.50; Child frames should have their own border
 width and colour
To: Alexander Miller <alexanderm@HIDDEN>, 45620 <at> debbugs.gnu.org
References: <30630458-2ef4-7da9-ea28-cdb12052dba2@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <43ccff46-1d67-2300-7098-b419966dfd66@HIDDEN>
Date: Sun, 3 Jan 2021 17:15:58 +0100
MIME-Version: 1.0
In-Reply-To: <30630458-2ef4-7da9-ea28-cdb12052dba2@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:UuzUO+Wrh1/qx5TvdqA8U5IFGhWZZK1w23hCyhIJzKCbmciIMzf
 bnuCY9xvRku/s+75+qfcOpN/BpX8us6Xn6NNUgh2ycTUrbAbpNDxrTLgwirc2cqrxipkBcx
 DKesSjR8bei/i3ZmzEcnfyTdk5/rJtVji8WGtXmPQ+HydHcT1UhcqLVZJv9ocDaHh8lTsX+
 CrHO7m4kkA0wYh4uRIMHw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:DR6xLBF69oc=:ziTPKPY6WbfR4jRuREJ2VL
 RNyfq8dx0TFFgFdjk/DB52omgy9VaYUNeIuy9ne4cpwV48rXtF67bQ+BoTm2J/g4RVoQeTCfQ
 wH9ERSXOef7c8UqX5VDX3Zqs+ds1jlfxXeJzoPqB95hT64exPMvnURR/GK0yv3X3iNNCuC/dz
 UOvDgSWfeFfdab3ZXezhGOke333+4Nbs7EmX8uyw+u4pibtJHLBDsQy36yEXg6hrClVI7ntjC
 bXOug2r872bqLqH+JQCfDA6eZEzX850Ny4NnHdUHVUnGQeMoKlQ+PA+u7vrAlvej/38ZYzYPI
 zMNOE0IoEo4KByB3Yj4HXXnIgPlcu/vx8iwoJlUu5R/CYsRDNq5fL8l5nC7+0kNQzwhvFbp9x
 0DnY3PxgMhBjxE91yRXXwapsJD1E8zaj9/qitG1N2F6P0cpkQMQAIUb9sJI3zs6o7fLNDiT7n
 pRHvCGTA/+RKlmAQfY4o/0CclNZZQLfiB/MmAV8dYPywH+tVhvwjAZ0zyUnlHFUz2WuppJRIR
 faoOZArL1B0fSH20jd82XTybDuvmeWzngcOkX0Y1uSWNI6yWVSFkyADTUHr5BeWGbLXkFOlR0
 tPWNPvw4KsMaKAOOj81kzOlZGVMff7nfuHLcBYjKXf/6OBtPI+kIrzJ4Tsn329EjxGXYImehp
 D3QcSmvlQbTuMzoUiIWMwCydVrBKNl5j3qMUvcaKA95Z7bPwKAzENkM1VSxYNJtAiw5iq8PCO
 /1Xo73Q1nzZ3R26wwsc1DxHMFudOXg28Azk5IZfDh7EB/Dj/fPKu2o60eKkT4x3rTIjgU4vUa
 4+5JmcKGxFRRfkz9irLqYRfBhk//5axOX3j30C63JAqscLhbj8hQAFm0djaCwXmhTs1u5oOCe
 E9fRBgDr+14Yaw2SvaySkmvAx4nNlH/KN9YHZpfBs=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > This is an idea set off by this discussion: >
 https://github.com/Alexander-Miller/treemacs/issues/242#issuecomment-753296634
 > > Basically the problem is that child frames need a distinct border co
 [...] Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.5.250 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.18 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.18 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 45620
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > This is an idea set off by this discussion: > https://github.com/Alexander-Miller/treemacs/issues/242#issuecomment-753296634
    > > Basically the problem is that child frames need a distinct border co
   [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.18 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.18 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.5.250 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > This is an idea set off by this discussion:
 > https://github.com/Alexander-Miller/treemacs/issues/242#issuecomment-753296634
 >
 > Basically the problem is that child frames need a distinct border colour
 > to be properly visible (and just using a different background colour does
 > not look nearly as good).
 >
 > That can be achieved by customising the `internal-border' face, however
 > that face controls the appearance of the border of all frames, and as I
 > have learned there is a non-trivial amount of users who by default use a
 > large internal border as a margin for their frames. And for these users
 > the `internal-border' should have the same colour as the default
 > background.

Isn't the situation even worse than how you describe it here?  When I
customize 'internal-border' face, that affects all frames, including
those for which I have set it already via 'set-face-background'.  Which
means that whatever a package does to set that face for a specific
(child) frame, that setting is undone by a later customization.  IIUC
the discussion you refer to above arrived at the same conclusion.

 > So there is a conflict between wanting a distinct border colour for
 > child frames and using the default background for normal frames.

If I'm not mistaken we use that face for our tooltip frames too which
means one more conflict.

 > Packages can work around that individually, for example posframe accepts
 > an `internal-border-color' argument that overrides the `internal-border'
 > face frame-locally. But that still means that every package using child
 > frames needs its own user option for the child frames' border colour
 > when such matters clearly belong under the domain of the user's theme.

"clearly" is clearly too strong here.  Ultimately, the package must have
the choice and its choice should prevail (it currently doesn't).

 > I think that since child frames serve sufficiently distinct use cases
 > than normal frames it makes sense for them to have their own border
 > appearance controls.

So what should we do?  Provide a separate 'child-frame-internal-border'
face and then probably also a 'tooltip-internal-border-face'?

Customizing such a face would still override individual frame settings.
What we need is probably a strategy to avoid setting the background for
those frames that have their internal border already set.  But then we
should do that for all faces running through 'set-face-attribute'.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jan 2021 13:18:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 03 08:18:48 2021
Received: from localhost ([127.0.0.1]:37164 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kw3HT-000146-Va
	for submit <at> debbugs.gnu.org; Sun, 03 Jan 2021 08:18:48 -0500
Received: from lists.gnu.org ([209.51.188.17]:44822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexanderm@HIDDEN>) id 1kw3HR-00013x-Ur
 for submit <at> debbugs.gnu.org; Sun, 03 Jan 2021 08:18:46 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:37462)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <alexanderm@HIDDEN>) id 1kw3HR-0006qo-7l
 for bug-gnu-emacs@HIDDEN; Sun, 03 Jan 2021 08:18:45 -0500
Received: from mout.web.de ([212.227.17.12]:44945)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <alexanderm@HIDDEN>) id 1kw3HJ-0007cH-9m
 for bug-gnu-emacs@HIDDEN; Sun, 03 Jan 2021 08:18:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1609679912;
 bh=gV7auACdPse6s/++Ylh5NHMvvCoJhHSY93mvsxuwx8o=;
 h=X-UI-Sender-Class:To:Subject:From:Date;
 b=Gcy+Zj3RwLjUk8PA3xNdAYPrTt0lujpC69WWmEAq2K7ifSgAgBgMvSMqCaevI5u7w
 25EDltJplx1uMlYRLILfG/L/LADnKKwxPCc0hxN9kyqAMSRzJ4m1gdrWlZEhqOA1It
 AHGR/WJnK9awuK8qwH25PPOXMiDjPbdojIqpRLcw=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.2.104] ([217.241.231.57]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MActe-1kpUky13o8-00B0GT for
 <bug-gnu-emacs@HIDDEN>; Sun, 03 Jan 2021 14:18:32 +0100
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Child frames should have their own border width and colour
From: Alexander Miller <alexanderm@HIDDEN>
Message-ID: <30630458-2ef4-7da9-ea28-cdb12052dba2@HIDDEN>
Date: Sun, 3 Jan 2021 14:24:31 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
Content-Language: en-US
X-Provags-ID: V03:K1:IkLjEI8dZ3y4Dc3CmKqlF786LTVskVekp7gEFeedTqE0BnK5Ko7
 MhPbznSIGcUQS6VRpITs2+hvlhzSLaLlPfoRlF7TjQtKTu84zbEDinovUJV+xYcSdb+qdMR
 SbgoO0Wkcu62wGdsyOLtt9I09nUA4dUATczzDrQLxwxY627a0+fKfh+4BvLXcvw4GsXHzg3
 66oCJprsqjW84EN9QZcgw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:70oVuPByUXI=:mHVs/990PEJ76v+1yEnAOI
 Br5OI9dgXv6BZYsB6gR6BPU2fdJGPxLl7YX18iytPeVDTWyCWByoMsx0QvFjEo0t610Wf9AXw
 8nJa1hFTouWxuDnWRbwvVJ4+b6Hhp7it9B7iJaDeJ/7HXt6xk/Lw5hPgq8C+zt/gyw3/xq3u9
 UBPeaI9YkttiogdoOdm5kolOthm0uKDY6IWNfLB4mLmztjghMAjB/bxG/mKacFBiNX3IPxJ+7
 Yafr6j11nc11aurA2nnOff784K+8AntRQxeIBAT3N+rQ+jKpJTe9aXQ3hMy/apqYY0X5kjBAK
 xA1ugMEU2y/XpVCgKtj0PxggFGBm/8JJTWlEId4gJdmZNCT48k1oJDF9Vf0xmOyPb11V1kszq
 B9AtCI10tfChj1QaOSIKOZ9riNg6dWIRP2TIWcmKB2l3PlrHLg+CKoHOFL7JWb4IpgR3ftcg4
 BxGk8OzhrWkwKBLieICcsz+oyOX00+4K+xfMtHj+IeUzuVeTadqTu64u81qg1j+kUkEdrJ6od
 uTN5QtB6H21vce5PIZtis+MCDzKjs3GrtPY645uUl805QvZfPd4+u7aF647cAZshDks0h6ct9
 xFAreDco5aO4mWAAjMJqK7EoTf4S9bAnUsFf4ozV29pt0hyLAEGcs2RpuElKLr9v/sdfQri0i
 ETfTITDoC8mBI6eo7fbheWJZFPRniQMSSVdziIANqsayUGp0ZnMaeL/4/Ds7442TUmg3IGGRu
 i7quASj/oEzwbhDolyN7j60hiHKyJ6KEivWZHhiz69SmLlGAuF2PqOMIZKns419obDP4qUMeE
 1n2wYGpfxUMqcoFwkmQWqDC89E32NXL5AaIW8zL4G9kPI12H8HlBh7uSmOCWG0dIMjE0l57WH
 oqpMZaW/0hWes6kFqVWQ==
Received-SPF: pass client-ip=212.227.17.12; envelope-from=alexanderm@HIDDEN;
 helo=mout.web.de
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is an idea set off by this discussion:
https://github.com/Alexander-Miller/treemacs/issues/242#issuecomment-75329=
6634

Basically the problem is that child frames need a distinct border colour
to be properly visible (and just using a different background colour does
not look nearly as good).

That can be achieved by customising the `internal-border' face, however
that face controls the appearance of the border of all frames, and as I
have learned there is a non-trivial amount of users who by default use a
large internal border as a margin for their frames. And for these users
the `internal-border' should have the same colour as the default
background.

So there is a conflict between wanting a distinct border colour for
child frames and using the default background for normal frames.

Packages can work around that individually, for example posframe accepts
an `internal-border-color' argument that overrides the `internal-border'
face frame-locally. But that still means that every package using child
frames needs its own user option for the child frames' border colour
when such matters clearly belong under the domain of the user's theme.

I think that since child frames serve sufficiently distinct use cases
than normal frames it makes sense for them to have their own border
appearance controls.

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.23, cairo version 1.17.3)
of 2020-12-20 built on am-laptop
Repository revision: ab985f41db5fdaeada513d28a065332fd8838cf4
Repository branch: makepkg
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Manjaro Linux

Configured using:
'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
=2D-localstatedir=3D/var --mandir=3D/usr/share/man --with-gameuser=3D:game=
s
=2D-with-sound=3Dalsa --with-modules --without-gconf --without-gsettings
=2D-with-nativecomp --with-x-toolkit=3Dgtk3 --without-xaw3d
=2D-without-m17n-flt --with-cairo --without-compress-install
'CFLAGS=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -pipe -fno-plt -g
-fuse-ld=3Dgold' CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GLIB NOTIFY INOTIFY ACL
GNUTLS LIBXML2 FREETYPE HARFBUZZ LIBOTF ZLIB TOOLKIT_SCROLL_BARS GTK3
X11 XDBE XIM MODULES NATIVE_COMP THREADS LIBSYSTEMD JSON PDUMPER LCMS2

Important settings:
value of $LC_MONETARY: de_DE.UTF-8
value of $LC_NUMERIC: de_DE.UTF-8
value of $LC_TIME: de_DE.UTF-8
value of $LANG: en_GB.utf8
locale-coding-system: utf-8

Major mode: Fundamental

Minor modes in effect:
helm-mode: t
helm--remap-mouse-mode: t
async-bytecomp-package-mode: t
projectile-mode: t
company-prescient-mode: t
global-company-mode: t
company-mode: t
global-evil-vimish-fold-mode: t
show-smartparens-global-mode: t
show-smartparens-mode: t
smartparens-global-mode: t
smartparens-mode: t
org-super-agenda-mode: t
treemacs-icons-dired-mode: t
treemacs-filewatch-mode: t
treemacs-follow-mode: t
treemacs-git-mode: deferred
treemacs-fringe-indicator-mode: t
gcmh-mode: t
winner-mode: t
framey-mode: t
purpose-mode: t
shackle-mode: t
winum-mode: t
eyebrowse-mode: t
global-ligature-mode: t
ligature-mode: t
global-subword-mode: t
subword-mode: t
global-evil-surround-mode: t
evil-surround-mode: t
evil-lion-mode: t
evil-goggles-mode: t
shell-dirtrack-mode: t
evil-mode: t
evil-local-mode: t
tooltip-mode: t
global-eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Load-path shadows:
~/Documents/git/cfrs/cfrs hides /home/am/.emacs.d/straight/build/cfrs/cfrs
/usr/share/emacs/28.0.50/lisp/emacs-lisp/let-alist hides
/home/am/.emacs.d/straight/build/let-alist/let-alist
~/Documents/git/treemacs/src/elisp/treemacs-interface hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-interface
~/Documents/git/treemacs/src/elisp/treemacs-rendering hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-rendering
~/Documents/git/treemacs/src/elisp/treemacs-hydras hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-hydras
~/Documents/git/treemacs/src/elisp/treemacs-dom hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-dom
~/Documents/git/treemacs/src/elisp/treemacs-tags hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-tags
~/Documents/git/treemacs/src/elisp/treemacs hides
/home/am/.emacs.d/straight/build/treemacs/treemacs
~/Documents/git/treemacs/src/elisp/treemacs-workspaces hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-workspaces
~/Documents/git/treemacs/src/elisp/treemacs-customization hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-customization
~/Documents/git/treemacs/src/elisp/treemacs-faces hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-faces
~/Documents/git/treemacs/src/elisp/treemacs-themes hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-themes
~/Documents/git/treemacs/src/elisp/treemacs-mouse-interface hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-mouse-interface
~/Documents/git/treemacs/src/elisp/treemacs-mode hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-mode
~/Documents/git/treemacs/src/elisp/treemacs-icons hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-icons
~/Documents/git/treemacs/src/elisp/treemacs-compatibility hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-compatibility
~/Documents/git/treemacs/src/elisp/treemacs-follow-mode hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-follow-mode
~/Documents/git/treemacs/src/elisp/treemacs-visuals hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-visuals
~/Documents/git/treemacs/src/elisp/treemacs-core-utils hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-core-utils
~/Documents/git/treemacs/src/elisp/treemacs-extensions hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-extensions
~/Documents/git/treemacs/src/elisp/treemacs-filewatch-mode hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-filewatch-mode
~/Documents/git/treemacs/src/elisp/treemacs-persistence hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-persistence
~/Documents/git/treemacs/src/elisp/treemacs-async hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-async
~/Documents/git/treemacs/src/elisp/treemacs-bookmarks hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-bookmarks
~/Documents/git/treemacs/src/elisp/treemacs-tag-follow-mode hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-tag-follow-mode
~/Documents/git/treemacs/src/elisp/treemacs-logging hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-logging
~/Documents/git/treemacs/src/elisp/treemacs-header-line hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-header-line
~/Documents/git/treemacs/src/elisp/treemacs-fringe-indicator hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-fringe-indicator
~/Documents/git/treemacs/src/elisp/treemacs-diagnostics hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-diagnostics
~/Documents/git/treemacs/src/elisp/treemacs-macros hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-macros
~/Documents/git/treemacs/src/elisp/treemacs-scope hides
/home/am/.emacs.d/straight/build/treemacs/treemacs-scope

Features:
(shadow ispell rainbow-delimiters rainbow-mode xterm-color
display-line-numbers hl-todo prose-complete emacsbug face-remap
helm-command helm-elisp helm-eval edebug backtrace helm-info info sort
gnus-cite smiley shr-color color mm-archive mail-extr gnus-art mm-uu
mml2015 mm-view mml-smime smime dig gnus-sum shr kinsoku svg dom
gnus-group gnus-undo gnus-start gnus-dbus gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range gnus-win gnus
nnheader wid-edit pp view helm-mode helm-projectile helm-files
docker-tramp tramp-cache tramp tramp-loaddefs trampver tramp-integration
files-x tramp-compat parse-time iso8601 ls-lisp helm-tags helm-buffers
helm-occur helm-grep helm-regexp helm-utils helm-locate helm-help
helm-types framey-helm helm-config helm async-bytecomp
helm-global-bindings helm-source helm-multi-match helm-lib async
treemacs-projectile projectile grep compile ibuf-ext ibuffer
ibuffer-loaddefs mu4e-alert time alert log4e notifications dbus
company-keywords company-dabbrev-code company-dabbrev company-yasnippet
company-files company-capf company-prescient prescient company server
evil-vimish-fold vimish-fold smartparens-config smartparens-org
smartparens-text paren smartparens xml gntp org-mu4e mu4e desktop
frameset mu4e-org german-holidays org-super-agenda ts org-habit
org-element avl-tree generator org-agenda org-refile org ob ob-tangle
ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob-core ob-eval org-table ol org-keys
org-compat org-macs org-loaddefs find-func mu4e-main mu4e-view cal-menu
calendar cal-loaddefs browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse
url-vars mailcap mu4e-headers mu4e-compose mu4e-context mu4e-draft
mu4e-actions ido rfc2368 smtpmail sendmail mu4e-mark mu4e-message
flow-fill mu4e-proc mu4e-utils doc-view jka-compr mu4e-lists mule-util
mu4e-vars message rmc puny treemacs-icons-dired treemacs-evil treemacs
treemacs-header-line treemacs-compatibility treemacs-mode
treemacs-interface treemacs-extensions treemacs-mouse-interface
treemacs-tags imenu xref project treemacs-persistence
treemacs-filewatch-mode filenotify treemacs-follow-mode
treemacs-rendering treemacs-async treemacs-workspaces treemacs-dom
treemacs-visuals treemacs-fringe-indicator treemacs-scope treemacs-faces
treemacs-icons treemacs-themes treemacs-core-utils pfuture hl-line
treemacs-logging treemacs-customization treemacs-macros dired+
image-dired image-mode exif image-file image-converter dired-x dired-aux
dired dired-loaddefs rfc822 mml mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs auth-source password-cache json map
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev
mail-utils gmm-utils mailheader mu4e-meta gcmh doom-modeline
doom-modeline-segments doom-modeline-env doom-modeline-core shrink-path
f all-the-icons all-the-icons-faces data-material data-weathericons
data-octicons data-fileicons data-faicons data-alltheicons memoize
winner framey inline ht s window-purpose window-purpose-fixes
window-purpose-prefix-overload window-purpose-switch let-alist
window-purpose-layout window-purpose-core window-purpose-configuration
eieio-compat eieio window-purpose-utils shackle trace winum eyebrowse
format-spec ligature morning-star-theme cap-words superword subword
evil-surround evil-lion evil-goggles pulse evil evil-keybindings
evil-integration evil-maps evil-commands reveal evil-jumps
evil-command-window evil-types evil-search evil-ex shell pcomplete
comint ansi-color evil-macros evil-repeat evil-states evil-core comp
comp-cstr warnings subr-x cl-extra help-mode seq byte-opt bytecomp
byte-compile cconv advice evil-common windmove thingatpt rect
evil-digraphs evil-vars ring edmacro kmacro cl-seq dash
yequake-autoloads yasnippet-autoloads yaml-mode-autoloads
xwidgets-reuse-autoloads xterm-color-autoloads wttrin-autoloads
writeroom-mode-autoloads with-editor-autoloads winum-autoloads
window-purpose-autoloads eieio-core cl-macs eieio-loaddefs
vterm-autoloads visual-fill-column-autoloads vimish-fold-autoloads
ts-autoloads tridactylrc-mode-autoloads treepy-autoloads
treemacs-autoloads transient-posframe-autoloads transient-autoloads
toml-mode-autoloads toc-org-autoloads tablist-autoloads
straight-autoloads spinner-autoloads smartparens-autoloads
shrink-path-autoloads shackle-autoloads s-autoloads rust-mode-autoloads
restart-emacs-autoloads rainbow-mode-autoloads
rainbow-delimiters-autoloads projectile-autoloads pretty-hydra-autoloads
prescient-autoloads posframe-autoloads pos-tip-autoloads popup-autoloads
pkg-info-autoloads pfuture-autoloads perspective-autoloads
persp-mode-autoloads peep-dired-autoloads pdf-tools-autoloads
pcre2el-autoloads package-lint-autoloads org-superstar-autoloads
org-super-agenda-autoloads org-autoloads multi-compile-autoloads
mu4e-views-autoloads mu4e-alert-autoloads morning-star-autoloads
memoize-autoloads markdown-mode-autoloads magit-todos-autoloads
magit-autoloads macrostep-autoloads lv-autoloads lsp-ui-autoloads
lsp-treemacs-autoloads lsp-mode-autoloads log4e-autoloads
link-hint-autoloads ligature-autoloads let-alist-autoloads
ledger-mode-autoloads json-snatcher-autoloads json-reformat-autoloads
json-mode-autoloads rx imenu-list-autoloads i3wm-config-mode-autoloads
hydra-autoloads ht-autoloads hl-todo-autoloads helpful-autoloads
helm-projectile-autoloads helm-org-autoloads helm-easymenu easymenu
helm-core-autoloads helm-ag-autoloads helm-autoloads goto-chg-autoloads
gntp-autoloads git-modes-autoloads git-gutter-fringe-autoloads
git-gutter-autoloads git-commit-autoloads ghub-autoloads
german-holidays-autoloads gcmh-autoloads frog-menu-autoloads
fringe-helper-autoloads framey-autoloads frame-local-autoloads
forge-autoloads flyspell-correct-autoloads flycheck-pos-tip-autoloads
flycheck-autoloads fish-mode-autoloads fill-column-indicator-autoloads
f-autoloads eyebrowse-autoloads expand-region-autoloads
evil-vimish-fold-autoloads evil-surround-autoloads
evil-numbers-autoloads evil-nerd-commenter-autoloads
evil-magit-autoloads evil-lion-autoloads evil-ledger-autoloads
evil-goggles-autoloads evil-exchange-autoloads evil-collection-autoloads
evil-autoloads eros-autoloads epl-autoloads epkg-autoloads
emacsql-sqlite-autoloads emacsql-autoloads elisp-refs-autoloads
elfeed-org-autoloads elfeed-autoloads doom-modeline-autoloads
doct-autoloads dockerfile-mode-autoloads docker-tramp-autoloads
docker-compose-mode-autoloads docker-autoloads dired+-autoloads
dash-functional-autoloads dash-autoloads ctrlf-autoloads easy-mmode
company-shell-autoloads company-quickhelp-autoloads
company-prescient-autoloads company-box-autoloads company-autoloads
closql-autoloads cfrs-autoloads buttercup-autoloads avy-autoloads
async-autoloads anzu-autoloads annalist-autoloads
all-the-icons-autoloads alert-autoloads ace-window-autoloads cl-loaddefs
cl-lib gv iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face pcase macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting font-render-setting cairo move-toolbar gtk
x-toolkit x multi-tty make-network-process nativecomp emacs)

Memory information:
((conses 16 668840 513173)
(symbols 48 43798 0)
(strings 32 152762 59495)
(string-bytes 1 5475171)
(vectors 16 63689)
(vector-slots 8 1094531 320683)
(floats 8 926 1405)
(intervals 56 6773 8846)
(buffers 984 21))





Acknowledgement sent to Alexander Miller <alexanderm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45620; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Jan 2021 15:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.